#!/usr/bin/perl

use Data::Dumper;
use lib "./lib";

our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $f = &decodeHttpRequest;

&_setFormValue($f);

our $CPKI_TITLE = getTitle("Test Case::ConfirmUpdate");

$aPostname =
    [qw(id org_id
        category_id
	testcase_code
        level
        certpath_id serverset_id ta_cert_id ee_cert_id
        exp_value
        init_policy_set
        init_policy_mapping_inhibit_flag
        init_explicit_policy_flag
        init_any_policy_inhibit_flag
        name
        keyword
        note)];
$postdata = &string_html_trth_hash($f,$aPostname);

# Print HTML ================================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

print <<"__EOFEOFEOF__";
<p><b>Do you update following Test Case (No.$f->{id})?</b></p>

<table>
<thead><th>Item</th><th>Value</th></thead>
<tbody>
$postdata
</tbody>
</table>
<form action="cpki_case_editresult.cgi" method="POST">
__EOFEOFEOF__

printHtmlInputHiddenHashByArray($f,$aPostname);

#printDumper($f);

print <<"__EOFEOFEOF__";
<input type="submit" value="Register"> | 
<a href="cpki_case_list.cgi">Back to Test Case list</a>
</form>
__EOFEOFEOF__

&printPoweredBy;
&printFooter;

sub _setFormValue{
    my($h) = @_;
    $h->{init_policy_mapping_inhibit_flag} = ($h->{init_policy_mapping_inhibit_flag} eq 'on') ? "true" : "false";
    $h->{init_explicit_policy_flag} = ($h->{init_explicit_policy_flag} eq 'on') ? "true" : "false";
    $h->{init_any_policy_inhibit_flag} = ($h->{init_any_policy_inhibit_flag} eq 'on') ? "true" : "false";  
}
