#!/usr/bin/perl

use lib "./lib";
use JNSA::DB;
use JNSA::DB::TESTCASE;
use Data::Dumper;

our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $f = &decodeHttpRequest;

$db = new JNSA::DB({config => $CPKI_CONFIG->{db}});

if ($f->{id} eq $f->{org_id}) {
    $sql .= sqlUpdateTestCase($f);
} else {
    $sql .= sqlInsertTestCase($f);
}

$db->execSession([$sql]);

our $CPKI_TITLE = getTitle("Test Case::UpdateResult");

# Print HTML =================================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&printResult($db,'Test Case',$f->{id},'updated');

#print "<pre>", $sql, "</pre>\n";
#printDumper($db);

print "<p><a href=\"cpki_case_list.cgi\">Back to Test Case list</a></p>\n";

&printLog($db,$f);

&printPoweredBy;
&printFooter;

