#!/usr/bin/perl

use lib "./lib";
use JNSA::DB;
use JNSA::DB::CERT;
use Data::Dumper;

our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $f = &decodeHttpRequest;

$db = new JNSA::DB({config => $CPKI_CONFIG->{db}});

if ($f->{id} eq $f->{org_id}) {
    $sql .= sqlDeleteCertValue($f->{id});
    $sql .= sqlUpdateCert($f);
} else {
    $sql .= sqlInsertCert($f);
}
$sql .= sqlInsertCertValueBasic($f);
$sql .= sqlInsertCertValueExt($f);

$db->execSession([$sql]);

our $CPKI_TITLE = getTitle("Certificate::UpdateResult");

# Print HTML =================================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&printResult($db,'certificate',$f->{id},'updated');

#print "<pre>", $sql, "</pre>\n";
#printDumper($db);

print "<p>";
print "<a href=\"cpki_cert_list.cgi\">Back to certificate list</a>";
print " or <a href=\"cpki_cert_edit.cgi?id=$f->{id}\">edit again.</a>";
print "</p>\n";

&printLog($db,$f);

&printPoweredBy;
&printFooter;

