#!/usr/bin/perl

use strict;
use lib "./lib";
use JNSA::DB::UTIL;
use JNSA::HTML::UTIL;

our $CPKI_CONFIG;
our $CPKI_CONST;
our %ENV;
$ENV{PATH} = $ENV{PATH} . ":/usr/local/cpki/bin";

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $h = &decodeHttpRequest;
$h->{db} = getDbnameByDsn($CPKI_CONFIG->{db}->{dsn});
$h->{usr} = $CPKI_CONFIG->{db}->{usr};
$h->{pw} = $CPKI_CONFIG->{db}->{pw};
$h->{head} = "/tmp/certgetfile.$$";

our $argUsr = ($h->{usr} ne '') ? "--usr=$h->{usr}" : "";
our $argPw = ($h->{pw} ne '') ? "--pw=$h->{pw}" : "";

our $cmd = "dbcertgen --id=$h->{id} --db=$h->{db} $argUsr $argPw --out=$h->{head}.crt";
system $cmd;

our $SCRIPT_OUTPUT = "";
our $buffer = "";
open(FIN, "$h->{head}.crt");
binmode FIN;
while (read(FIN, $buffer, 1024)) {
    $SCRIPT_OUTPUT .= $buffer;
}
close FIN;

&_unlinkFiles;

our $size = length($SCRIPT_OUTPUT);

binmode STDOUT;
print "Content-Type: application/x-x509-user-cert\n";
print "Content-Transfer-Enconding: Binary\n";
print "Content-Length: $size\n\n";
print $SCRIPT_OUTPUT;

sub _unlinkFiles {
    my $head = $h->{head};
    system "rm -f $head.*";
}
