#!/usr/bin/perl

use strict;
use lib "./lib";
use JNSA::DB::UTIL;
use JNSA::HTML::UTIL;

our $CPKI_CONFIG;
our $CPKI_CONST;
our %ENV;
$ENV{PATH} = $ENV{PATH} . ":/usr/local/cpki/bin";

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $h = &decodeHttpRequest;
$h->{db} = getDbnameByDsn($CPKI_CONFIG->{db}->{dsn});
$h->{usr} = $CPKI_CONFIG->{db}->{usr};
$h->{pw} = $CPKI_CONFIG->{db}->{pw};
$h->{head} = "/tmp/viewasn1.$$";

our $argUsr = ($h->{usr} ne '') ? "--usr=$h->{usr}" : "";
our $argPw = ($h->{pw} ne '') ? "--pw=$h->{pw}" : "";

our $cmd = "dbcertgen --id=$h->{id} --db=$h->{db} --out=$h->{head}.crt $argUsr $argPw";
system $cmd;

$cmd =~ s/--out.*$//;
our $SCRIPT_OUTPUT = "% $cmd\n\n";
open(FOUT, "/usr/local/cpki/bin/dumpasn1 -aipu $h->{head}.crt|");
while (<FOUT>) {
    $SCRIPT_OUTPUT .= $_;
}
close FOUT;


&_unlinkFiles;

our $CPKI_TITLE = getTitle("Certificate::View ASN.1");

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

print "<p>This is a dumpasn1 output of dynamically generated
creatificate whose ID number is '$h->{id}' in 
database '$h->{db}'.
</p>\n";

print "<pre>", esch($SCRIPT_OUTPUT), "</pre>\n";

&printPoweredBy;
&printFooter;

sub _unlinkFiles {
    my $head = $h->{head};
    system "rm -f $head.*";
}
