#!/usr/bin/perl

# $Id: cpki_common_delconfirm.cgi,v 1.9 2004/05/11 11:02:12 urushima Exp $

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";
use lib "./lib";
use Data::Dumper;

our $f = &decodeHttpRequest;

our $info = {
    key => { title => 'Key Pair' },
    cert => { title => 'Certificate' },
    crl => { title => 'CRL' },
    ocsp => { title => 'OCSP Response' },
    ccp => { title => 'Cross Certificate Pair' },
    dirtree => { title => 'LDAP Repository' },
    direntry => { title => 'LDAP Entry' },  
    case => { title => 'Test Case' },  
    rawcert => { title => 'Raw Certificate' },  
    certpath => { title => 'Certification Path' },  
    testclient => { title => 'Test Client' },
    testcategory => { title => 'Test Category' },
    testresult => { title => 'Test Result' },
    repset => { title => 'Repository Set' },
    tsq => { title => 'Time Stamp Request' },
    tspprocase => { title => 'TSP Protocol Testcase' },
    tsr => { title => 'Time Stamp Response' },
    tspacccase => { title => 'TSP Accuracy Testcase' },
};

our $TYPE = $f->{type};
our $NAME = $info->{$TYPE}->{title};
our $CPKI_TITLE = getTitle($NAME . "::Delete Confirm");

# Print HTML ===============================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

#printDumper($f);

print <<"__EOFEOFEOF__";
<p><b>Do you delete this $NAME ID=$f->{id} ?</b></p>

<form action="cpki_${TYPE}_delresult.cgi" method="POST">
<input type="hidden" name="id" value="$f->{id}">
<input type="submit" value="Delete"> | 
<a href="cpki_${TYPE}_list.cgi">Back to $NAME list</a>
</form>
__EOFEOFEOF__

&printPoweredBy;
&printFooter;


