#!/usr/bin/perl

use Data::Dumper;
use lib "./lib";

our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $f = &decodeHttpRequest;

our $CPKI_TITLE = getTitle("Ldap Entry::ConfirmUpdate");

$aPostname =
    [qw(id org_id
	dn entry
	name keyword note)];
$postdata = &string_html_trth_hash($f,$aPostname,{entry=>1});

# Print HTML ================================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

print <<"__EOFEOFEOF__";
<p><b>Do you update following Ldap Entry pair(No.$f->{id})?</b></p>

<table>
<thead><th>Item</th><th>Value</th></thead>
<tbody>
$postdata
</tbody>
</table>
<form action="cpki_direntry_editresult.cgi" method="POST">
__EOFEOFEOF__

printHtmlInputHiddenHashByArray($f,$aPostname);

#printDumper($f);

print <<"__EOFEOFEOF__";
<input type="submit" value="Register"> | 
<a href="cpki_direntry_list.cgi">Back to Ldap Entry list</a>
</form>
__EOFEOFEOF__

&printPoweredBy;
&printFooter;

