#!/usr/bin/perl

# $Id: cpki_dirtree_edit.cgi,v 1.6 2004/06/18 13:27:16 urushima Exp $

use strict;
use Data::Dumper;
use lib "./lib";
use JNSA::DB;

our $CPKI_CONFIG;
our $CPKI_CONST;
our $crlValueProc;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";
require "lib/CPKI/form.pl";

our $h = &decodeHttpRequest;
our ($hSelectedEntry);
$hSelectedEntry = {};

if ($h->{db} ne "") {
    $CPKI_CONFIG->{db}->{dsn} =~ s/dbname=[0-9A-Za-z]+/dbname=$h->{db}/;
}
our ($db);
our $input = {};
&_setValue($h);
&_setInput($input, $h);

our $CPKI_TITLE = getTitle("LDAP Repository::Edit");

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&_printForm;

#printDumper($db);
#printDumper($CPKI_CONFIG->{db});
#printDumper($h);
#printDumper($input);
#printDumper($hSelectedEntry);

&printLog($db,$h);
&printPoweredBy;
&printFooter;

sub _setValue {
    $h->{org_id} = $h->{id};

    my $sql1 = "SELECT id,dn,name FROM ldap_entry ORDER BY id;";
    my $sql2 = "SELECT entry_id FROM ldap_repository_item WHERE id=$h->{id};";
    my $sql3 = "SELECT * FROM ldap_repository WHERE id = $h->{id};";
    $db = new JNSA::DB({config => $CPKI_CONFIG->{db}});

    if ((! defined $h->{id}) || $h->{id} !~ /^\d+/) {
	$db->querySession([$sql1,$sql2]);
    } else {
	$db->querySession([$sql1,$sql2,$sql3]);
	my $row = $db->{resultSetArray}->[2]->[0];
	$h->{host}		= $row->[1];
	$h->{port}		= $row->[2];
	$h->{name}		= $row->[3];
	$h->{keyword}		= $row->[4];
	$h->{note}		= $row->[5];
    }

    my $tbl = $db->{resultSetArray}->[1];
    for my $i (0..$#{$tbl}) {
	$hSelectedEntry->{$tbl->[$i]->[0]} = 1;
    }
}

sub _setInput {
    my ($input, $h) = @_;

    &set_input_txt($input,"id",		$h," size=\"10\"");
    &set_input_hdv($input,"org_id",	$h);
    &set_input_txt($input,"host",	$h," size=\"84\"");
    &set_input_txt($input,"port",	$h," size=\"10\"");

    &set_input_txt($input,"name",	$h," size=\"84\"");
    &set_input_txt($input,"keyword",	$h," size=\"84\"");
    &set_input_txa($input,"note",	$h," cols=\"64\" rows=\"5\" wrap=off");
}

sub _printForm {
    print <<"___EOF___";
<form name="f1" action="cpki_dirtree_editconfirm.cgi" method="POST">
<table width="90%">
<thead><tr><th>Item</th><th width="100%">Value</th></tr></thead>
<tbody>
<tr><td class="1">ID</td><td>
$input->{id}
(original ID:$input->{org_id}) Copy will be made if you specify different number.
</td></tr>
<tr><td class="1">HOST</td><td>$input->{host}</td></tr>
<tr><td class="1">Port</td><td>$input->{port}</td></tr>
<tr><td class="1">Name</td><td>$input->{name}</td></tr>
<tr><td class="1">Keyword</td><td>$input->{keyword}</td></tr>
<tr><td class="1">Note</td><td>$input->{note}</td></tr>
</tbody>
</table>
___EOF___

    &_printEntry($db->{resultSetArray}->[0]);

    print <<"___EOF___";
<p>
<input type="submit" value="Next"> 
<input type="reset" value="Reset"> 
<a href="cpki_dirtree_list.cgi">Back Ldap Repository list</a>
</p>
</form>
___EOF___
}

sub _printEntry {
    my ($tbl) = @_;

    if ($#{$tbl} == -1) {return;}

    print "<table>\n";
    print "<thead>\n";
    print "<tr><td colspan=4>\n";
    print "<a href=\"javascript:formCheckboxSetAll(document.f1,true)\">ALL ON</a> / ";
    print "<a href=\"javascript:formCheckboxSetAll(document.f1,false)\">ALL OFF</a>";
    print "</td></tr>\n";
    print "<tr><th>Use</th><th>ID</th><th>Entry</th><th>Note</th></tr></thead>\n";
    for my $i (0..$#{$tbl}) {
	my $row = $tbl->[$i];
	my ($s) = "";

	my $id = $row->[0];
	my $dn = $row->[1];
	my $name = $row->[2];
	my $sel = ($hSelectedEntry->{$id} == 1) ? " CHECKED" : "";
	$s .= "<tr><td>";
	$s .= "<input type=\"checkbox\" name=\"use_$row->[0]\"$sel>";
	$s .= "</td><td><a href=\"javascript:openEd('direntry',$id)\">$id</a></td><td>$dn</td><td>$name</td></tr>\n";
	print $s;
    }
    print "</table>\n";
}

