#!/usr/bin/perl

# $Id: cpki_dirtree_editconfirm.cgi,v 1.3 2004/06/18 13:27:16 urushima Exp $

use Data::Dumper;
use lib "./lib";

our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $f = &decodeHttpRequest;

our $CPKI_TITLE = getTitle("LDAP Repository::Confirm Update");

$aPostname =
    [qw(id org_id
	host port
	name keyword note)];
$postdata = &string_html_trth_hash($f,$aPostname);

# Print HTML ================================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

print <<"__EOFEOFEOF__";
<p><b>Do you update following LDAP Repository(No.$f->{id})?</b></p>

<table>
<thead><th>Item</th><th>Value</th></thead>
<tbody>
$postdata
</tbody>
</table>
<form action="cpki_dirtree_editresult.cgi" method="POST">
__EOFEOFEOF__

printHtmlInputHiddenHashByArray($f,$aPostname);
&_printHtmlInputHiddenByMatch($f,'^use_\d+$');

#printDumper($f);

print <<"__EOFEOFEOF__";
<input type="submit" value="Register"> | 
<a href="cpki_dirtree_list.cgi">Back to Ldap Repository list</a>
</form>
__EOFEOFEOF__

&printPoweredBy;
&printFooter;

sub _printHtmlInputHiddenByMatch {
    my($h, $pattern) = @_;

    for my $key (sort keys(%{$h})) {
	
	print "<input type=\"hidden\" name=\"$key\" value=\"on\">\n"
	    if ($key =~ /$pattern/);
    }

}
