#!/usr/bin/perl

# $Id: cpki_dirtree_editresult.cgi,v 1.3 2004/06/18 13:27:16 urushima Exp $

use lib "./lib";
use JNSA::DB;
use JNSA::DB::SQL;
use Data::Dumper;

our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $f = &decodeHttpRequest;

$db = new JNSA::DB({config => $CPKI_CONFIG->{db}});

if ($f->{id} eq $f->{org_id}) {
    $sql .= sqlUpdateLdapRepository($f);
} else {
    $sql .= sqlInsertLdapRepository($f);
}
$sql .= "\nDELETE FROM ldap_repository_item WHERE id = $f->{id};";
$sql .= &_sqlInsertLdapRepositoryItemByMatch($f);

$db->execSession([$sql]);

our $CPKI_TITLE = getTitle("LDAP Repository::Update Result");

# Print HTML =================================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&printResult($db,'Ldap Repository',$f->{id},'updated');

#print "<pre>", $sql, "</pre>\n";
#printDumper($db);

print "<p><a href=\"cpki_dirtree_list.cgi\">Back to Ldap Repository list</a></p>\n";

&printLog($db,$f);

&printPoweredBy;
&printFooter;

sub _sqlInsertLdapRepositoryItemByMatch {
    my ($h) = @_;
    my ($sql) = "";

    for my $key (sort keys(%{$h})) {
	if ($key =~ /^use_(\d+)$/) {
	    $sql .= "
INSERT INTO ldap_repository_item VALUES ($h->{id},$1);";
	}
    }

    return $sql;
}
