#!/usr/bin/perl

use strict;
use lib "./lib";

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $CPKI_TITLE = getTitle("Help");

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

print <<"___EOF___";
<h2>Help Index</h2>
<ul>
<li><a href="#createkey">How to create keypair</a></li>
<li><a href="#createcrt">How to X.509 public key certificate</a></li>
</ul>

<h4><a name="createkey">How to create cryptographic keypair</a></h4>
<p>
<ol>
<li>First you open <a href="cpki_key_edit.cgi" target="_blank">a blank keypair editor</a>, then fill form.
It can be opened by clicking the 'CREATE NEW KEYPAIR' link
of the <a href="cpki_key_list.cgi" target="_blank">keypair list</a>.
</li>
<li>
Items must be filled to generate keypair are 
'ID', 'Crypto Method' and 'Size'.
'ID' is a unique number for keypair data.
'Crypto Method' can be choosed from 'RSA' or 'DSA'.
'Size' is a size of the keypair.
<a href="cpki_tips.cgi#rsa4096">See here</a>
when you want to generate a keypair which is
larger than 2048 bits, 
You may specifiy short notes for this keypair in the 'Name' field.
It will be displayed in the keypair list.
We recommend to fill the directory name of the keypair owner 
to help later use.
</li>
<li>
Check 'Generate Key' checkbox in the form, then Click 'Next' button.
If a keypair successfully is created, you will see 
PEM formatted private key, public key and key identifiers.
</li>
<li>
Finally, click 'Register' button to add database.
When it fails, some error messages will be shown.
</li>
</ol>
</p>

<!-- ============================================================ -->
<!--  HOW TO CREATE CERTIFICATE -->
<!-- ============================================================ -->
<h4><a name="createcrt">How to create X.509 public key certificate</a></h4>
<p>
<ol>
<li>
To create certificate, two keypairs are necessary
(i.e. issuer's keypair for signing certificate and subject keypair).
When you create self-signed certifiate, they will be
the same keypair. <a href="#createkey" target="_blank">See here</a>
if you want to know how to create key.
</li>
<li>Open <a href="cpki_cert_edit.cgi" target="_blank">a blank certificate editor</a>, then fill form.
It can be opened by clicking the 'CREATE NEW CERTIFICATE' link
of the <a href="cpki_cert_list.cgi" target="_blank">certificate list</a>.
</li>
<li>
Items should be filled are 'ID' which is a certificate record id number,
'Issuer Keypair' which is a keypair record id number of issuer for
signing certificate,
'Subject Keypair' which is a keypair of subject,
'Hash Algorithm' which can be choosed from 'SHA1' or 'MD5',
'serialNumber' which can be described in decimal or hexadecimal format,
'issuer' which is a directory name of issuer,
'subject' which is a directory name of subject,
and 'validity' which is a validity of the certificate.
The encoding type of The 'issuer' and 'subject' field may be 
selected from 'PrintableString' and 'UTF8String'.
</li>
<li>
Fill forms for X.509 v3 extensions. If you want to add a extension,
check checkbox which exists left hand side of its extension name and
fill its values.
</li>
<li>
Click 'Next' button, and then click 'Register' button.
</li>
</ol>
</p>

___EOF___

&printPoweredBy;
&printFooter;

