#!/usr/bin/perl

use Data::Dumper;
use lib "./lib";

our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $f = &decodeHttpRequest;

if ($f->{genkey} eq "on") { &_genkey($f); }

our $CPKI_TITLE = getTitle("Key Pair::ConfirmUpdate");

$aPostname =
    [qw(id org_id
	crypto_method crypto_bit
	private_key public_key
	keyid keyid_sha1_64
	name keyword note)];
$postdata = &string_html_trth_hash($f,$aPostname,
				   {private_key=>1,public_key=>1});

# Print HTML ================================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

print <<"__EOFEOFEOF__";
<p><b>Do you update following keypair(No.$f->{id})?</b></p>

<table>
<thead><th>Item</th><th>Value</th></thead>
<tbody>
$postdata
</tbody>
</table>
<form action="cpki_key_editresult.cgi" method="POST">
__EOFEOFEOF__

printHtmlInputHiddenHashByArray($f,$aPostname);

#printDumper($f);

print <<"__EOFEOFEOF__";
<input type="submit" value="Register"> | 
<a href="cpki_key_list.cgi">Back to keypair list</a>
</form>
__EOFEOFEOF__

&printPoweredBy;
&printFooter;

sub _genkey {
    my($h) = @_;
    my @a;

    my $type = $h->{crypto_method};
    my $size = $h->{crypto_bit};
    my $keyid_type = 0;

    my $cmd = "./cpki_genkeyp_wrapper -type $type -size $size -kitype $keyid_type";

    my $result = `$cmd`;
    if ($result eq "") {
	$h->{ng} = $t{'Key Pair did not created correctly.'};
	return;
    }

    my ($prv,$pub,$kid) = split(/\t/,$result);

    $h->{private_key} = $prv;
    $h->{public_key} = $pub;

    $kid =~ s/^\s+//;
    $kid =~ s/\s+$//;
    ($h->{keyid}, $h->{keyid_sha1_64}) = split(/\s+/, $kid);

    return 1;
}

