#!/usr/bin/perl

#!/usr/bin/perl

# $Id: cpki_key_getprvpem.cgi,v 1.2 2004/06/18 13:27:16 urushima Exp $
#===================================================================
#
# Challenge PKI Test Suite 2.0
#
#							Mar 6, 2004
#
#		Copyright (c) 2003, 2004
#		Challenge PKI Project
#			IPA http://www.ipa.go.jp/
#			NPO JNSA http://www.jnsa.org/
#			SECOM Co.,Ltd. http://www.secom.co.jp/
#			All Rights Reserved.
#
#===================================================================

#
# cpki_key_getprvpem.cgi
#

use strict;
use Data::Dumper;
use lib "./lib";
use JNSA::DB;

our $CPKI_CONFIG;
our $CPKI_CONST;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";
require "lib/CPKI/form.pl";

# -- BEGIN MAIN ---------------------------------------------------------

our $h = &decodeHttpRequest;

our ($db);
our $input = {};

#$h->{id} = 1000;
#$h->{subject_cert_id} = 1003;

&_setValue($h);

if ($h->{private_key} ne "") {
    print "Content-type: text/plain\n\n";
    print $h->{private_key};
}

# -- END MAIN -----------------------------------------------------------

sub _setValue {
    if ((! defined $h->{id}) && (! defined $h->{subject_cert_id})) {
	return;
    }
    if ($h->{id} ne "" && $h->{id} !~ /^\d+/) {
	return;
    }
    if ($h->{subject_cert_id} ne "" && $h->{subject_cert_id} !~ /^\d+/) {
	return;
    }

    my $sql = "";
    if ($h->{id} ne "") {
	$sql = "
SELECT private_key FROM keypair WHERE id = $h->{id};";
    } else {
	$sql = "
SELECT K.private_key FROM keypair K, cert C 
  WHERE
    C.id = $h->{subject_cert_id} AND
    C.subject_keypair = K.id;";
    }

    $db = new JNSA::DB({config => $CPKI_CONFIG->{db}});

    $db->querySession([$sql]);

    my $row = $db->{resultSetArray}->[0]->[0];
    $h->{private_key}	= $row->[0];

    #printDumper($db);
}

sub _setInput {
    my ($input, $h) = @_;

    &set_input_txt($input,"id",		$h," size=\"10\"");
    &set_input_hdv($input,"org_id",	$h);
    &set_input_sel($input,"crypto_method",	$h,"rsadsa");
    &set_input_txt($input,"crypto_bit",	$h," size=\"6\"");

    &set_input_txa($input,"private_key",	$h," cols=\"65\" rows=\"9\"");
    &set_input_txa($input,"public_key",		$h," cols=\"65\" rows=\"9\"");
    &set_input_txt($input,"keyid",		$h," size=\"84\"");
    &set_input_txt($input,"keyid_sha1_64",	$h," size=\"84\"");

    &set_input_txt($input,"name",	$h," size=\"84\"");
    &set_input_txt($input,"keyword",	$h," size=\"84\"");
    &set_input_txa($input,"note",	$h," cols=\"64\" rows=\"5\" wrap=off");
}

sub _printForm {
    my ($next_url, $extedit_link) = @_;
    my (%t, $list_url, $backto);
    print <<"___EOF___";
<form action="$next_url" method="POST">
<table width="90%">
<thead><tr><th>Item</th><th width="100%">Value</th></tr></thead>
<tbody>
<tr><td class="1">ID</td><td>
$input->{id}
(original ID:$input->{org_id}) Copy will be made if you specify different number.
</td></tr>
<tr><td class="1">Crypto Method</td><td>$input->{crypto_method}</td></tr>
<tr><td class="1">Size</td><td>$input->{crypto_bit}
To (re)generate key,
fill 'ID', 'Method' and 'Size' then check 
<a href="#genkey_check_box">bottom</a>.
For RSA 4096 bit key, see <a href="cpki_tips.cgi#rsa4096">here</a>
</td></tr>
<tr><td class="1">160bit Key ID</td><td>$input->{keyid}</td></tr>
<tr><td class="1">64bit Key ID</td><td>$input->{keyid_sha1_64}</td></tr>
<tr><td class="1">Public Key</td><td>$input->{public_key}</td></tr>
<tr><td class="1">Private Key</td><td>$input->{private_key}</td></tr>
<tr><td class="1">Name</td><td>$input->{name}</td></tr>
<tr><td class="1">Keyword</td><td>$input->{keyword}</td></tr>
<tr><td class="1">Note</td><td>$input->{note}</td></tr>
</tbody>
</table>

<p>

<a name="genkey_check_box"><input type="checkbox" name="genkey"></a>
<strong class="warn">
Check HERE and Push 'Next' if you want to GENERATE A KEYPAIR 
according to cryptographic method and size of key.
</strong>
<br>

<input type="submit" value="Next"> 
<input type="reset" value="Reset"> 

<a href="$list_url">$backto</a>
</p>
</form>
___EOF___
}
