#!/usr/bin/perl

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";
use lib "./lib";
use Data::Dumper;

our $f = &decodeHttpRequest;

&_setFormValue($f);

our $CPKI_TITLE = getTitle("OCSP Response::ConfirmUpdate");

$aPostname =
    [qw(id org_id base_id
	issuer_keypair ocsp_cert
	name keyword note
	responseStatus
	responderID
	producedAt
	certID_issuerNameHash certID_issuerKeyHash certID_serialNumber
	certStatus_CertStatus certStatus_revocationTime certStatus_revocationReason
	thisUpdate
	oCSPStatusCode_exists oCSPStatusCode_critical oCSPStatusCode_value
	certPathStatus_exists certPathStatus_critical certPathStatus_value)];
$postdata = &string_html_trth_hash($f,$aPostname);

# Print HTML ================================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

print <<"__EOFEOFEOF__";
<p><b>Do you update following OCSP response(No.$f->{id})?</b></p>

<table>
<thead><th>Item</th><th>Value</th></thead>
<tbody>
$postdata
</tbody>
</table>
<form action="cpki_ocsp_editresult.cgi" method="POST">
__EOFEOFEOF__

printHtmlInputHiddenHashByArray($f,$aPostname);

#printDumper($f);

print <<"__EOFEOFEOF__";
<input type="submit" value="Register"> | 
<a href="cpki_crl_list.cgi">Back to CRL list</a>
</form>
__EOFEOFEOF__

&printPoweredBy;
&printFooter;

sub _setFormValue {
    my($h) = @_;

    $h->{responderID} = "";
    if ($h->{responderID_by} eq 'byName') {
	$h->{responderID} .= $h->{responderID_by} . ":";
	$h->{responderID} .= $h->{responderID_dn_type} . ":";
	$h->{responderID} .= $h->{responderID_dn_value};
    } else {
	$h->{responderID} .= $h->{responderID_by} . ":";
	$h->{responderID} .= $h->{responderID_dn_value};
    }

    # certId
    if ($h->{certID_issuerNameHash_value} ne '') {
	$h->{certID_issuerNameHash} = "issuerNameHash=";
	$h->{certID_issuerNameHash} .= $h->{certID_issuerNameHash_type} . ":";
	$h->{certID_issuerNameHash} .= $h->{certID_issuerNameHash_value};
    }
    if ($h->{certID_issuerKeyHash_value} ne '') {
	$h->{certID_issuerKeyHash} = "issuerKeyHash=" .
	    $h->{certID_issuerKeyHash_value};
    }
    if ($h->{certID_serialNumber_value} ne '') {
	$h->{certID_serialNumber} = "serialNumber=" .
	    $h->{certID_serialNumber_type} . ":" . $h->{certID_serialNumber_value};
    }

    # certStatus
    if ($h->{certStatus_CertStatus} ne '') {
	$h->{certStatus_CertStatus} = "CertStatus=" . $h->{certStatus_CertStatus};
    }
    if ($h->{certStatus_revocationTime} ne '') {
	$h->{certStatus_revocationTime} = "revocationTime=" . $h->{certStatus_revocationTime};
    }
    if ($h->{certStatus_revocationReason} ne '') {
	$h->{certStatus_revocationReason} = "revocationReason=" . $h->{certStatus_revocationReason};
    }

    $h->{oCSPStatusCode_critical} = cbox2bool($h->{oCSPStatusCode_critical});
    $h->{certPathStatus_critical} = cbox2bool($h->{certPathStatus_critical});
}

