#!/usr/bin/perl

use lib "./lib";
use JNSA::DB;
use JNSA::DB::OCSP;
use Data::Dumper;

our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $f = &decodeHttpRequest;

$db = new JNSA::DB({config => $CPKI_CONFIG->{db}});

if ($f->{id} eq $f->{org_id}) {
    $sql .= sqlDeleteOcspValue($f->{id});
    $sql .= sqlUpdateOcsp($f);
} else {
    $sql .= sqlInsertOcsp($f);
}
$sql .= sqlInsertOcspValueBasic($f);
$sql .= sqlInsertOcspValueExt($f);

$db->execSession([$sql]);

our $CPKI_TITLE = getTitle("OCSP::UpdateResult");

# Print HTML =================================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&printResult($db,'ocsp response',$f->{id},'updated');

print "<p>";
print "<a href=\"cpki_ocsp_list.cgi\">Back to OCSP Response list</a>";
print " or <a href=\"cpki_ocsp_edit.cgi?id=$f->{id}\">edit again.</a>";
print "</p>\n";

&printLog($db,$f);

#print "<pre>", $sql, "</pre>\n";
#printDumper($db);

&printPoweredBy;
&printFooter;

