#!/usr/bin/perl

use strict;
use lib "./lib";
use JNSA::DB::UTIL;
use JNSA::HTML::UTIL;

our $CPKI_CONFIG;
our $CPKI_CONST;
our %ENV;
$ENV{PATH} = $ENV{PATH} . ":/usr/local/cpki/bin";

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $h = &decodeHttpRequest;
$h->{db} = getDbnameByDsn($CPKI_CONFIG->{db}->{dsn});
$h->{usr} = $CPKI_CONFIG->{db}->{usr};
$h->{pw} = $CPKI_CONFIG->{db}->{pw};
$h->{head} = "/tmp/ocspgetfile.$$";

my $argUsr = "--usr=$h->{usr}" if $h->{usr} ne '';
my $argPw  = "--pw=$h->{pw}"   if $h->{pw} ne '';

our $cmd = "dbocspresgen --id=$h->{id} --db=$h->{db} --out=$h->{head}.res.der $argUsr $argPw";

system $cmd;

our $SCRIPT_OUTPUT = "";
our $buffer = "";
open(FIN, "$h->{head}.res.der");
binmode FIN;
while (read(FIN, $buffer, 1024)) {
    $SCRIPT_OUTPUT .= $buffer;
}
close FIN;

system "rm -f $h->{head}.*";

our $size = length($SCRIPT_OUTPUT);

binmode STDOUT;
print "Content-Type: application/octet-stream\n";
print "Content-Transfer-Enconding: Binary\n";
print "Content-Length: $size\n\n";
print $SCRIPT_OUTPUT;
