#!/usr/bin/perl

use strict;
use lib "./lib";
use JNSA::DB::UTIL;
use JNSA::HTML::UTIL;

our $CPKI_CONFIG;
our $CPKI_CONST;
our %ENV;
$ENV{PATH} = $ENV{PATH} . ":/usr/local/cpki/bin";

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $h = &decodeHttpRequest;
$h->{db} = getDbnameByDsn($CPKI_CONFIG->{db}->{dsn});
$h->{usr} = $CPKI_CONFIG->{db}->{usr};
$h->{pw} = $CPKI_CONFIG->{db}->{pw};
$h->{head} = "/tmp/viewasn1.$$";

our $cmd = "dbocspresgen --id=$h->{id} --db=$h->{db} --out=$h->{head}.res.der --usr=$h->{usr} --pw=$h->{pw}";
system $cmd;

$cmd =~ s/--out.*$//;
our $SCRIPT_OUTPUT = "% $cmd\n\n";
open(FOUT, "dumpasn1 -aipu $h->{head}.res.der|");
while (<FOUT>) {
    $SCRIPT_OUTPUT .= $_;
}
close FOUT;

system "rm -f $h->{head}.*";

our $CPKI_TITLE = getTitle("OCSP Response::View ASN.1");

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

print "<p>This is a dumpasn1 output of dynamically generated
OCSP response whose ID number is '$h->{id}' in 
database '$h->{db}' and which has '12121212' as its nonce value.
</p>\n";

print "<pre>", esch($SCRIPT_OUTPUT), "</pre>\n";

&printPoweredBy;
&printFooter;

