#!/usr/bin/perl

use strict;
use lib "./lib";
use JNSA::DB::UTIL;
use JNSA::HTML::UTIL;

our $CPKI_CONFIG;
our $CPKI_CONST;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $h = &decodeHttpRequest;
$h->{db} = getDbnameByDsn($CPKI_CONFIG->{db}->{dsn});
$h->{usr} = $CPKI_CONFIG->{db}->{usr};
$h->{pw} = $CPKI_CONFIG->{db}->{pw};

our $argUsr = ($h->{usr} ne '') ? "--usr=$h->{usr}" : "";
our $argPw = ($h->{pw} ne '') ? "--pw=$h->{pw}" : "";

our $SCRIPT_OUTPUT = "";
open(FOUT, "/usr/local/cpki/bin/dbocspresgencfg --id=$h->{id} --db=$h->{db} $argUsr $argPw |");
while (<FOUT>) {
    $SCRIPT_OUTPUT .= $_;
}
close FOUT;

our $CPKI_TITLE = getTitle("OCSP Response::View ocspresgen Config");

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

print "<p>This is a dynaically generated 'ocspresgen' configuration file
for a ocsp response whose ID number is '$h->{id}' in 
 database '$h->{db}'.
</p>\n";

print "<pre>", esch($SCRIPT_OUTPUT), "</pre>\n";

&printPoweredBy;
&printFooter;

