#!/usr/bin/perl

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";
use lib "./lib";
use Data::Dumper;

our $f = &decodeHttpRequest;

our $CPKI_TITLE = getTitle("Raw Certificate::ConfirmUpdate");

$aPostname =
    [qw(id org_id base_id
	issuer_keypair subject_keypair pem
	name keyword note
	)];
$postdata = &string_html_trth_hash($f,$aPostname);

# Print HTML ================================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

print <<"__EOFEOFEOF__";
<p><b>Do you update following raw certificate(No.$f->{id})?</b></p>

<table>
<thead><th>Item</th><th>Value</th></thead>
<tbody>
$postdata
</tbody>
</table>
<form action="cpki_rawcert_editresult.cgi" method="POST">
__EOFEOFEOF__

printHtmlInputHiddenHashByArray($f,$aPostname);

#printDumper($f);

print <<"__EOFEOFEOF__";
<input type="submit" value="Register"> | 
<a href="cpki_rawcert_list.cgi">Back to raw certificate list</a>
</form>
__EOFEOFEOF__

&printPoweredBy;
&printFooter;
