#!/usr/bin/perl

use lib "./lib";
use JNSA::DB;
use JNSA::DB::CERT;
use Data::Dumper;

our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $f = &decodeHttpRequest;

$db = new JNSA::DB({config => $CPKI_CONFIG->{db}});

qwsH($f, qw(pem name keyword note));
numNullH($f, qw(base_id issuer_keypair subject_keypair));

if ($f->{id} eq $f->{org_id}) {
    $sql .= "
UPDATE rawcert SET
  base_id = $f->{base_id},
  issuer_keypair = $f->{issuer_keypair},
  subject_keypair = $f->{subject_keypair},
  pem = $f->{pem},
  name = $f->{name},
  keyword = $f->{keyword},
  note = $f->{note}
  WHERE id = $f->{id};";
} else {
    $sql .= "
INSERT INTO rawcert VALUES (
  $f->{id},$f->{base_id},$f->{issuer_keypair},$f->{subject_keypair},
  $f->{pem},$f->{name},$f->{keyword},$f->{note});";
}

$db->execSession([$sql]);

our $CPKI_TITLE = getTitle("Raw Certificate::UpdateResult");

# Print HTML =================================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&printResult($db,'raw certificate',$f->{id},'updated');

#print "<pre>", $sql, "</pre>\n";
#printDumper($db);

print "<p><a href=\"cpki_rawcert_list.cgi\">Back to raw certificate list</a></p>\n";

&printLog($db,$f);

&printPoweredBy;
&printFooter;

