#!/usr/bin/perl

# $Id: cpki_repset_edit.cgi,v 1.3 2004/06/18 13:27:16 urushima Exp $

use strict;
use Data::Dumper;
use lib "./lib";
use JNSA::DB;
use JNSA::HTML::UTIL;

our $CPKI_CONFIG;
our $CPKI_CONST;
our $crlValueProc;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";
require "lib/CPKI/form.pl";

our $h = &decodeHttpRequest;
our ($hSelectedLdap,$hSelectedHttp);
$hSelectedLdap = {};
$hSelectedHttp = {};

if ($h->{db} ne "") {
    $CPKI_CONFIG->{db}->{dsn} =~ s/dbname=[0-9A-Za-z]+/dbname=$h->{db}/;
}
our $db;
our $input = {};
&_setValue($h);
&_setInput($input, $h);

our $CPKI_TITLE = getTitle("Repository Set::Edit");

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&_printForm;

#printDumper($db);
#printDumper($hSelectedLdap);
#printDumper($CPKI_CONFIG->{db});
#printDumper($h);
#printDumper($input);

&printLog($db,$h);
&printPoweredBy;
&printFooter;

sub _setValue {
    $h->{org_id} = $h->{id};

    my $sql1 = "SELECT id,host,port,name FROM ldap_repository ORDER BY id;";
    my $sql2 = "SELECT id,host,port,name FROM http_repository ORDER BY id;";
    my $sql3 = "SELECT * FROM repository_set WHERE id = $h->{id};";
    my $sql4 = "SELECT repository_id FROM repository_set_ldap_item WHERE id = $h->{id};";
    my $sql5 = "SELECT repository_id FROM repository_set_http_item WHERE id = $h->{id};";
    $db = new JNSA::DB({config => $CPKI_CONFIG->{db}});

    if ((! defined $h->{id}) || $h->{id} !~ /^\d+/) {
	$db->querySession([$sql1,$sql2]);
    } else {
	$db->querySession([$sql1,$sql2,$sql3,$sql4,$sql5]);
	my $row = $db->{resultSetArray}->[2]->[0];
	$h->{name}	= $row->[1];
	$h->{keyword}	= $row->[2];
	$h->{note}	= $row->[3];
    }

    my $tLDAP = $db->{resultSetArray}->[3];
    for my $i (0..$#{$tLDAP}) {$hSelectedLdap->{$tLDAP->[$i]->[0]} = 1;}

    my $tHTTP = $db->{resultSetArray}->[4];
    for my $i (0..$#{$tHTTP}) {$hSelectedHttp->{$tHTTP->[$i]->[0]} = 1;}
}

sub _setInput {
    my ($input, $h) = @_;

    &set_input_txt($input,"id",		$h," size=\"10\"");
    &set_input_hdv($input,"org_id",	$h);

    &set_input_txt($input,"name",	$h," size=\"84\"");
    &set_input_txt($input,"keyword",	$h," size=\"84\"");
    &set_input_txa($input,"note",	$h," cols=\"64\" rows=\"5\" wrap=off");
}

sub _printForm {
    print <<"___EOF___";
<form action="cpki_repset_editconfirm.cgi" method="POST">
<table width="90%">
<thead><tr><th>Item</th><th width="100%">Value</th></tr></thead>
<tbody>
<tr><td class="1">ID</td><td>
$input->{id}
(original ID:$input->{org_id}) Copy will be made if you specify different number.
</td></tr>
<tr><td class="1">Name</td><td>$input->{name}</td></tr>
<tr><td class="1">Keyword</td><td>$input->{keyword}</td></tr>
<tr><td class="1">Note</td><td>$input->{note}</td></tr>
</tbody>
</table>
___EOF___

    &_printItem($db->{resultSetArray}->[0], $db->{resultSetArray}->[1]);

    print <<"___EOF___";
<p>
<input type="submit" value="Next"> 
<input type="reset" value="Reset"> 
<a href="cpki_repset_list.cgi">Back Repository Set list</a>
</p>
</form>
___EOF___
}

sub _printItem {
    my ($hLDAP,$hHTTP) = @_;

    return if ($#{$hLDAP} == -1 && $#{$hHTTP} == -1);

    print "<table><thead><th>Use</th><th>TYPE</th><th>ID</th><th>HOST</th><th>Port</th><th>Note</th></thead><tbody>\n";
    for my $i (0..$#{$hLDAP}) {
	my ($row, $s, $sel);
	$row = $hLDAP->[$i];
	$sel = ($hSelectedLdap->{$row->[0]} == 1) ? " CHECKED" : "";

	$s .= "<tr>";
	$s .= "<td><input type=\"checkbox\" name=\"useldap_$row->[0]\"$sel></td>";
	$s .= tdesch('LDAP');
	$s .= tdesch($row->[0]);
	$s .= tdesch($row->[1]);
	$s .= tdesch($row->[2]);
	$s .= tdesch($row->[3]);
	$s .= "</tr>\n";
	print $s;
    }
    print "</tbody></table>\n\n";
}

