#!/usr/bin/perl

# $Id: cpki_repset_editresult.cgi,v 1.2 2004/06/18 13:27:16 urushima Exp $

use lib "./lib";
use JNSA::DB;
use JNSA::DB::SQL;
use Data::Dumper;

our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $f = &decodeHttpRequest;

$db = new JNSA::DB({config => $CPKI_CONFIG->{db}});

if ($f->{id} eq $f->{org_id}) {
    $sql .= sqlUpdateRepositorySet($f);
} else {
    $sql .= sqlInsertRepositorySet($f);
}
$sql .= "\nDELETE FROM repository_set_ldap_item WHERE id = $f->{id};";
$sql .= "\nDELETE FROM repository_set_http_item WHERE id = $f->{id};";
$sql .= &_sqlInsertRepositorySetItemByMatch($f);

$db->execSession([$sql]);

our $CPKI_TITLE = getTitle("Repository Set::Update Result");

# Print HTML =================================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&printResult($db,'Repository Set',$f->{id},'updated');

#print "<pre>", $sql, "</pre>\n";
#printDumper($db);

print "<p><a href=\"cpki_repset_list.cgi\">Back to Repository Set List</a></p>\n";

&printLog($db,$f);

&printPoweredBy;
&printFooter;

sub _sqlInsertRepositorySetItemByMatch {
    my ($h) = @_;
    my ($sql) = "";

    for my $key (sort keys(%{$h})) {
	if ($key =~ /^useldap_(\d+)$/) {
	    $sql .= "
INSERT INTO repository_set_ldap_item VALUES ($h->{id},$1);";
	    next;
	}
	if ($key =~ /^usehttp_(\d+)$/) {
	    $sql .= "
INSERT INTO repository_set_http_item VALUES ($h->{id},$1);";
	    next;
	}
    }

    return $sql;
}
