#!/usr/bin/perl

use Data::Dumper;
use lib "./lib";
use JNSA::DB;

our $CPKI_CONST;
our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $formHash = &decodeHttpRequest;
if ($formHash->{db} ne "") {
    $CPKI_CONFIG->{db}->{dsn} =~ s/dbname=[0-9A-Za-z]+/dbname=$formHash->{db}/;
}
$h = $formHash;

our $sql = "
SELECT testcase_id, exit_status, result_status FROM test_result_detail
  WHERE id = $h->{id} ORDER BY id;";
our $db = new JNSA::DB({config => $CPKI_CONFIG->{db}});

$db->querySession([$sql]);

our $CPKI_TITLE = getTitle("Test Result Detail");

# Print HTML ===============================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&_printList($db->{resultSetArray}->[0]);

&printPoweredBy;
&printFooter;

# Sub Routine ===============================================================

sub _printList {
    my ($tbl) = @_;
    my ($i);

    if ($#{$tbl} == -1) {
       &print_html_if_warn($t{'No Entry'});
       return;
    }

    print "<table class=\"rowover\" STRIPED=\"true\"><thead>\n";
    print "<thead><tr><th>Action</th><th>Case</th><th>Return</th><th>Judge</th></tr></thead><tbody>\n";

    for $i (0..$#{$tbl}) {
	my $s = "";
	my $row = $tbl->[$i];
	my $urlhead = "cpki_testresultdetail";

	$s .= "<tr>";
	$s .= "<td><a href=\"${urlhead}_output_list.cgi?id=$h->{id}&testcase_id=$row->[0]\">View</a></td>";
	$s .= "<td><a href=\"cpki_case_edit.cgi?id=$row->[0]\">$row->[0]</a></td>";
	$s .= "<td>$row->[1]</td>";
	$s .= "<td>$row->[2]</td>";
	$s .= "</tr>";

	print $s, "\n";
    }
    print "</tbody></table>\n";

    #$backto = t('Back to %s %s',$t{'test result'},$t{list});
    #print "<br><a href=\"gpkitdm_testresult_list.cgi\">$backto</a>";
}

