#!/usr/bin/perl

use Data::Dumper;
use lib "./lib";
use JNSA::DB;

our $CPKI_CONST;
our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $formHash = &decodeHttpRequest;
if ($formHash->{db} ne "") {
    $CPKI_CONFIG->{db}->{dsn} =~ s/dbname=[0-9A-Za-z]+/dbname=$formHash->{db}/;
}
$h = $formHash;

$sql = "
SELECT id, testcase_id, standard_output FROM test_result_detail
   WHERE id = $h->{id} AND testcase_id = $h->{testcase_id};";
our $db = new JNSA::DB({config => $CPKI_CONFIG->{db}});

$db->querySession([$sql]);

our $CPKI_TITLE = getTitle("Test Result Standard Output");

# Print HTML ===============================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

#printDumper($db);

&_printList($db->{resultSetArray}->[0]);

&printPoweredBy;
&printFooter;

# Sub Routine ===============================================================

sub _printList {
    my ($tbl) = @_;
    my ($i);

    if ($#{$tbl} == -1) {
       &print_html_if_warn($t{'No Entry'});
       return;
    }
    print "<table width=\"90%\"><thead>\n";
    print "<thead><tr><th>Item</th><th>Value</th></tr></thead><tbody>\n";

    for $i (0..$#{$tbl}) {
	my $s = "";
	my $row = $tbl->[$i];
	my $urlhead = "cpki_testresultdetail";
	my $output = $row->[2];
	# to avoid DBI placeholder parsing bug
	$output =~ s//?/g;
	my $output_nrow = ($output =~ s/\n/\n/g)+2;

	$s .= "<tr>";
	$s .= "<td class=\"1\">Result No.</td><td>$row->[0]</td></tr>";
	$s .= "<tr><td class=\"1\">Case No.</td><td>$row->[1]</td></tr>";
	#$s .= "<tr><td class=\"1\">Result Output</td><td><pre style=\"border: 2 inset #eeeeee\">$output</pre></td>";
	$s .= "<tr><td class=\"1\">Result Output</td><td><textarea cols=100 rows=$output_nrow wrap=off>$output</textarea></td>";
	$s .= "</tr>";
	print $s, "\n";
    }

    print "</tbody></table>\n";

    #$backto = t('Back to %s %s',$t{'test result'},$t{list});
    #print "<br><a href=\"gpkitdm_testresult_list.cgi\">$backto</a>";
}

sub print_html_testresultdetail_output_list {
    my ($table) = @_;
    my ($i);

    if ($#{$table} == -1) {
       &print_html_if_warn($t{'No Entry'});
       return;
    }
    print "<table width=\"90%\"><thead>\n";
    print "<thead><tr><th>$t{Item}</th><th>$t{Value}</th></tr></thead><tbody>\n";

    for $i (0..$#{$table}) {
	my $s = "";
	my $row = $table->[$i];
	my $urlhead = "gpkitdm_testresultdetail";
	my $output = $row->[2];
	# to avoid DBI placeholder parsing bug
	$output =~ s//?/g;
	my $output_nrow = ($output =~ s/\n/\n/g)+2;

	$s .= "<tr>";
	$s .= "<td class=\"1\">$t{'Result No.'}</td><td>$row->[0]</td></tr>";
	$s .= "<tr><td class=\"1\">$t{'Case No.'}</td><td>$row->[1]</td></tr>";
	#$s .= "<tr><td class=\"1\">$t{'Result Output'}</td><td><pre style=\"border: 2 inset #eeeeee\">$output</pre></td>";
	$s .= "<tr><td class=\"1\">$t{'Result Output'}</td><td><textarea cols=100 rows=$output_nrow wrap=off>$output</textarea></td>";
	$s .= "</tr>";
	print $s, "\n";
    }

    print "</tbody></table>\n";

    $backto = t('Back to %s %s',$t{'test result'},$t{list});
    print "<br><a href=\"gpkitdm_testresult_list.cgi\">$backto</a>";
}
