#!/usr/bin/perl

use Data::Dumper;
use lib "./lib";

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $CPKI_TITLE = getTitle("Tool::X.509 Certificate keyInfo");

$buffer = "";
read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});

if ($buffer !~ /^^\s*$/) {
    $buffer_org = $buffer;

    $buffer =~ s/^.+\r\n//;
    $buffer =~ s/^.+\r\n//;
    $buffer =~ s/^.+\r\n//;
    $buffer =~ s/^\r\n//;
    $buffer =~ s/\r\n-+[0-9A-Fa-f]+-+\r\n$//;

    $der_file = "/tmp/zzz.$$.der";
    open(FOS, "> $der_file");
    print FOS $buffer;
    close FOS;

    $result = "";
    open(FIS, "/usr/local/iwgtool/bin/iwgskidinfo -c $der_file|");
    while (<FIS>) {
	$result .= $_;
    }
    close FIS;

    unlink $der_file;
} else {
    $result = "test test test...";
}

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

print << "__EOF__";
<form action="cpki_tool_crtkeyinfo.cgi" method="POST" enctype="multipart/form-data">
<input name="csr" type="file" size="80" maxlength="10000">
<input type="submit" value="Show KeyID Information">
</form>

<pre>
$result
</pre>

<h4>Description</h4>
This tool show you following subject public key information.
<ul>
<li>(1) public key in PEM format</li>
<li>(2) subject key identifier according to public key</li>
<li>(3) subject key identifier in X.509 extension</li>
</ul>
If the subject key identifier is not conformed to RFC3280,
the value (2) and (3) are different.

<h4>Usage</h4>
<ol>
<li>Select a DER formatted X.509 certificate file on your local disk.</li>
<li>Click 'Show KeyID Information' button.</li>
</ol>

</body>
</html>
__EOF__

&printPoweredBy;
&printFooter;
