#!/usr/bin/perl

# $Id: cpki_tspprocase_edit.cgi,v 1.2 2004/06/18 13:27:16 urushima Exp $

use strict;
use Data::Dumper;
use lib "./lib";
use JNSA::DB;

our $CPKI_CONFIG;
our $CPKI_CONST;
our $crlValueProc;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";
require "lib/CPKI/form.pl";

our $h = &decodeHttpRequest;

if ($h->{db} ne "") {
    $CPKI_CONFIG->{db}->{dsn} =~ s/dbname=[0-9A-Za-z]+/dbname=$h->{db}/;
}
our ($db);
our $input = {};
&_setValue($h);
&_setInput($input, $h);

our $CPKI_TITLE = getTitle("TSP Protocol Testcase::Edit");

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&_printForm;

#printDumper($db);
#printDumper($CPKI_CONFIG->{db});
#printDumper($h);
#printDumper($input);

&printLog($db,$h);
&printPoweredBy;
&printFooter;

sub _setValue {
    if ((! defined $h->{id}) || $h->{id} !~ /^\d+/) {
	return;
    }

    $h->{org_id} = $h->{id};

    my $sql = "SELECT * FROM tsp_protocol_testcase WHERE id = $h->{id};";
    $db = new JNSA::DB({config => $CPKI_CONFIG->{db}});

    $db->querySession([$sql]);

    my $row = $db->{resultSetArray}->[0]->[0];
    $h->{testcase_code}	= $row->[1];
    $h->{category_id}	= $row->[2];
    $h->{level}		= $row->[3];
    $h->{tsq_id}	= $row->[4];
    $h->{tsr_id}	= $row->[5];
    $h->{http_header}	= $row->[6];
    $h->{exp_value}	= $row->[7];
    $h->{name}		= $row->[8];
    $h->{keyword}	= $row->[9];
    $h->{note}		= $row->[10];
}

sub _setInput {
    my ($input, $h) = @_;

    &set_input_txt($input,"id",		$h," size=\"10\"");
    &set_input_hdv($input,"org_id",	$h);

    &set_input_txt($input,"testcase_code",	$h," size=\"84\"");
    &set_input_txt($input,"category_id",	$h," size=\"10\"");
    &set_input_txt($input,"level",		$h," size=\"10\"");
    &set_input_txt($input,"tsq_id",		$h," size=\"10\"");
    &set_input_txt($input,"tsr_id",		$h," size=\"10\"");
    &set_input_txt($input,"http_header",	$h," size=\"84\"");
    &set_input_txt($input,"exp_value",		$h," size=\"10\"");

    &set_input_txt($input,"name",	$h," size=\"84\"");
    &set_input_txt($input,"keyword",	$h," size=\"84\"");
    &set_input_txa($input,"note",	$h," cols=\"64\" rows=\"5\" wrap=off");
}

sub _printForm {
    print <<"___EOF___";
<form action="cpki_tspprocase_editconfirm.cgi" method="POST">
<table width="90%">
<thead><tr><th>Item</th><th width="100%">Value</th></tr></thead>
<tbody>
<tr><td class="1">ID</td><td>
$input->{id}
(original ID:$input->{org_id}) Copy will be made if you specify different number.
</td></tr>
<tr><td class="1" nowrap>Testcase Code</td><td>$input->{testcase_code}</td></tr>
<tr><td class="1" nowarp>Category ID</td><td>$input->{category_id}</td></tr>
<tr><td class="1" nowrap>Level</td><td>$input->{level}</td></tr>
<tr><td class="1" nowrap>TSQ ID</td><td>$input->{tsq_id}</td></tr>
<tr><td class="1" nowrap>TSR ID</td><td>$input->{tsr_id}</td></tr>
<tr><td class="1" nowrap>HTTP Header</td><td>$input->{http_header}</td></tr>
<tr><td class="1" nowrap>Expected Value</td><td>$input->{exp_value}</td></tr>
<tr><td class="1" nowrap>Name</td><td>$input->{name}</td></tr>
<tr><td class="1" nowrap>Keyword</td><td>$input->{keyword}</td></tr>
<tr><td class="1" nowrap>Note</td><td>$input->{note}</td></tr>
</tbody>
</table>

<p>
<input type="submit" value="Next"> 
<input type="reset" value="Reset"> 
<a href="cpki_tspprocase_list.cgi">Back to TSP Protocol Testcase List</a>
</p>
</form>
___EOF___
}
