#!/usr/bin/perl

# $Id: cpki_tsq_edit.cgi,v 1.4 2004/06/18 13:27:16 urushima Exp $

use strict;
use Data::Dumper;
use lib "./lib";
use JNSA::DB;

our $CPKI_CONFIG;
our $CPKI_CONST;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";
require "lib/CPKI/form.pl";

our $h = &decodeHttpRequest;

if ($h->{db} ne "") {
    $CPKI_CONFIG->{db}->{dsn} =~ s/dbname=[0-9A-Za-z]+/dbname=$h->{db}/;
}
our ($db);
our $input = {};
our $valueProc;
$valueProc->{version} = sub {my($h,$row) = @_;$h->{version} = $row->[3];};
$valueProc->{hashAlgorithm} = sub {
    my($h,$row) = @_;
    $h->{hashAlgorithm} = $row->[3];
};
$valueProc->{reqPolicy} = sub {
    my($h,$row) = @_;
    $h->{reqPolicy} = $row->[3];
};
$valueProc->{nonce} = sub {
    my($h,$row) = @_;
    my $value = $row->[3];

    if ($value =~ /^([^:]+):(.*)$/) {
	$h->{nonce_type} = $1;
	$h->{nonce_value} = $2;
    }
};
$valueProc->{certReq} = sub {
    my($h,$row) = @_;
    $h->{certReq_value} = "on" if ($row->[3] eq "TRUE");
};

&_setValue($h);
&_setInput($h);

our $CPKI_TITLE = getTitle("Time Stamp Request::Edit");

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&_printForm;

#printDumper($db);
#printDumper($CPKI_CONFIG->{db});
#printDumper($h);
#printDumper($input);

&printLog($db,$h);
&printPoweredBy;
&printFooter;

sub _setValue {
    if ((! defined $h->{id}) || $h->{id} !~ /^\d+/) {
	return;
    }

    $h->{org_id} = $h->{id};

    my $sql1 = "SELECT * FROM tsq WHERE id = $h->{id};";
    my  $sql2 = "SELECT * FROM tsq_value WHERE id = $h->{id};";
    $db = new JNSA::DB({config => $CPKI_CONFIG->{db}});

    $db->querySession([$sql1,$sql2]);

    my $row = $db->{resultSetArray}->[0]->[0];
    $h->{base_id}  = $row->[1];
    $h->{name}  = $row->[2];
    $h->{keyword}  = $row->[3];
    $h->{note}  = $row->[4];

    &set_hvalue_from_table($h, $valueProc, $db->{resultSetArray}->[1]);
}

sub _setInput {
    my ($h) = @_;

    &set_input_txt($input,"id",			$h," size=\"10\"");
    &set_input_hdv($input,"org_id",		$h);
    &set_input_txt($input,"base_id",		$h," size=\"10\"");

    &set_input_txt($input,"version",		$h," size=\"10\"");
    &set_input_txt($input,"hashAlgorithm",	$h," size=\"30\"");
    &set_input_txt($input,"hashedMessage",	$h," size=\"30\"");
    &set_input_txt($input,"reqPolicy",		$h," size=\"30\"");
    &set_input_sel($input,"nonce_type",		$h,"dechex");
    &set_input_txt($input,"nonce_value",	$h," size=\"30\"");
    &set_input_cbx($input,"certReq_value",	$h);

    &set_input_txt($input,"name",	$h," size=\"84\"");
    &set_input_txt($input,"keyword",	$h," size=\"84\"");
    &set_input_txa($input,"note",	$h," cols=\"64\" rows=\"5\" wrap=off");
}

sub _printForm {
    print <<"___EOF___";
<form name="f1" action="cpki_tsq_editconfirm.cgi" method="POST">
<table width="90%">
<thead><tr><th>Item</th><th width="100%">Value</th></tr></thead>
<tbody>
<tr><td class="1">ID</td><td>
$input->{id}
(original ID:$input->{org_id}) Copy will be made if you specify different number.
</td></tr>
<tr><td class="1">Base ID</td><td>
$input->{base_id}
You may enter ID when you copy it.
</td></tr>
<tr><td class="1">version</td><td>$input->{version}</td></tr>
<tr><td class="1" nowrap>Hash Algorithm</td><td>$input->{hashAlgorithm}</td></tr>
<tr><td class="1" nowrap>Hashed Message</td><td>$input->{hashedMessage}</td></tr>
<tr><td class="1" nowrap>Request Policy</td><td>$input->{reqPolicy}</td></tr>
<tr><td class="1" nowrap>nonce</td><td>
$input->{nonce_type}
$input->{nonce_value}
</td></tr>
<tr><td class="1" nowrap>Cert Request</td><td>$input->{certReq_value} Check if TRUE</td></tr>
<tr><td class="1">Name</td><td>$input->{name}</td></tr>
<tr><td class="1">Keywords</td><td>$input->{keyword}</td></tr>
<tr><td class="1">Note</td><td>$input->{note}</td></tr>
</tbody>
</table>

<p>
<input type="submit" value="Next"> 
<input type="reset" value="Reset"> 
<a href="cpki_tsq_list.cgi">Back to Time Stamp Request List</a>
</p>
</form>
___EOF___
}
