#!/usr/bin/perl

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";
use lib "./lib";
use Data::Dumper;

our $f = &decodeHttpRequest;

&_setFormValue($f);

our $CPKI_TITLE = getTitle("TSQ::ConfirmUpdate");

$aPostname =
    [qw(id org_id base_id
	version hashAlgorithm hashedMessage
	reqPolicy nonce certReq
	name keyword note)];
$postdata = &string_html_trth_hash($f,$aPostname);

# Print HTML ================================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

print <<"__EOFEOFEOF__";
<p><b>Do you update following Time Stamp Request(No.$f->{id})?</b></p>

<table>
<thead><th>Item</th><th>Value</th></thead>
<tbody>
$postdata
</tbody>
</table>
<form action="cpki_tsq_editresult.cgi" method="POST">
__EOFEOFEOF__

printHtmlInputHiddenHashByArray($f,$aPostname);

#printDumper($f);

print <<"__EOFEOFEOF__";
<input type="submit" value="Register"> | 
<a href="cpki_tsq_list.cgi">Back to Time Stamp Request list</a>
</form>
__EOFEOFEOF__

&printPoweredBy;
&printFooter;

sub _setFormValue {
    my($h) = @_;

    # nonce
    $h->{nonce} = $h->{nonce_type} . ":" . $h->{nonce_value};

    # certReq
    $h->{certReq} = "TRUE" if $h->{certReq_value} eq "on";
}

