#!/usr/bin/perl

use lib "./lib";
use JNSA::DB;
use JNSA::DB::TSP;
use Data::Dumper;

our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $f = &decodeHttpRequest;

$db = new JNSA::DB({config => $CPKI_CONFIG->{db}});

$sql = "\nDELETE FROM tsq_value WHERE id = $f->{id};\n";
if ($f->{id} eq $f->{org_id}) {
    $sql .= sqlUpdateTsq($f);
} else {
    $sql .= sqlInsertTsq($f);
}
$sql .= sqlInsertTsqValue($f);

$db->execSession([$sql]);

our $CPKI_TITLE = getTitle("TSQ::UpdateResult");

# Print HTML =================================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&printResult($db,'TSQ',$f->{id},'updated');

#print "<pre>", $sql, "</pre>\n";
#printDumper($db);

print "<p><a href=\"cpki_tsq_list.cgi\">Back to Time Stamp Request List</a></p>\n";

&printLog($db,$f);

&printPoweredBy;
&printFooter;

