#!/usr/bin/perl

# $Id: cpki_tsr_edit.cgi,v 1.3 2004/06/18 13:27:16 urushima Exp $

use strict;
use Data::Dumper;
use lib "./lib";
use JNSA::DB;

our $CPKI_CONFIG;
our $CPKI_CONST;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";
require "lib/CPKI/form.pl";

our $h = &decodeHttpRequest;

if ($h->{db} ne "") {
$CPKI_CONFIG->{db}->{dsn} =~ s/dbname=[0-9A-Za-z]+/dbname=$h->{db}/;
}
our ($db);
our $input = {};
our $valueProc;
$valueProc->{TimeStampResp_status} = sub {
my($h,$row) = @_;$h->{TimeStampResp_status} = $row->[3];
};
$valueProc->{PKIStatusInfo_statusString} = sub {
my($h,$row) = @_;$h->{PKIStatusInfo_statusString} = $row->[3];
};
$valueProc->{PKIStatusInfo_failInfo} = sub {
my($h,$row) = @_;$h->{PKIStatusInfo_failInfo} = $row->[3];
};

$valueProc->{TimeStampResp_containsTST} = sub {
my($h,$row) = @_;
$h->{TimeStampResp_containsTST} = 'on' if($row->[3] eq 'TRUE');
};

$valueProc->{TSTInfo_version} = sub {
my($h,$row) = @_;$h->{TSTInfo_version} = $row->[3];
};
$valueProc->{TSTInfo_policy} = sub {
my($h,$row) = @_;
$h->{TSTInfo_policy} = canonical_nl($row->[3]);
};
$valueProc->{TSTInfo_messageImprint_hashedMessage} = sub {
my($h,$row) = @_;$h->{TSTInfo_messageImprint_hashedMessage} = $row->[3];
};
$valueProc->{TSTInfo_messageImprint_hashAlgorithm} = sub {
my($h,$row) = @_;$h->{TSTInfo_messageImprint_hashAlgorithm} = $row->[3];
};
$valueProc->{TSTInfo_messageImprint_AUTO} = sub {
my($h,$row) = @_;
$h->{TSTInfo_messageImprint_AUTO} = 'on' if ($row->[3] eq 'TRUE');
};
$valueProc->{TSTInfo_serialNumber} = sub {
my ($h,$row) = @_;
my ($type,$value) = split(/:/, $row->[3]);
$h->{TSTInfo_serialNumber_type} = $type;
$h->{TSTInfo_serialNumber_value} = $value;
};
$valueProc->{TSTInfo_genTime} = sub {
my($h,$row) = @_;$h->{TSTInfo_genTime} = $row->[3];
};
$valueProc->{TSTInfo_accuracy} = sub {
my($h,$row) = @_;$h->{TSTInfo_accuracy} = $row->[3];
};
$valueProc->{TSTInfo_ordering} = sub {
my($h,$row) = @_;
$h->{TSTInfo_ordering_value} = 'on' if ($row->[3] eq 'TRUE');
};
$valueProc->{TSTInfo_nonce} = sub {
my($h,$row) = @_;$h->{TSTInfo_nonce} = $row->[3];
};
$valueProc->{TSTInfo_nonce_AUTO} = sub {
my($h,$row) = @_;
$h->{TSTInfo_nonce_AUTO} = 'on' if ($row->[3] eq 'TRUE');
};
$valueProc->{TSTInfo_tsa} = sub {
my ($h,$row) = @_;
my ($type,$type2,$value) = ($row->[3] =~ /^([^:]+):([^:]+):(.*)$/);
if ($type eq 'directoryName') {
$h->{TSTInfo_tsa_dn_type} = $type2;
$h->{TSTInfo_tsa_dn_value} = $value;
}
if ($type eq 'URI') {
$h->{TSTInfo_tsa_uri_value} = $value;
}
};

$valueProc->{TSTInfo_extensions} = sub {
my($h,$row) = @_;
$h->{TSTInfo_extensions} = $row->[3];
};

$valueProc->{TSTInfo_binary} = sub {
    my($h,$row) = @_;
$h->{TSTInfo_binary} = $row->[3];
};

$valueProc->{SignedData_version} = sub{
    my($h,$row) = @_;$h->{SignedData_version} = $row->[3];
};
$valueProc->{ContentInfo_contentType} = sub{
    my($h,$row) = @_;$h->{ContentInfo_contentType} = $row->[3];
};
$valueProc->{EncapsulatedContentInfo_eContentType} = sub{
    my($h,$row) = @_;$h->{EncapsulatedContentInfo_eContentType} = $row->[3];
};

$valueProc->{Exclude_ESSCertID} = sub {
my($h,$row) = @_;
$h->{Exclude_ESSCertID} = 'on' if ($row->[3] eq 'TRUE');
};

$valueProc->{Signature_tampered} = sub {
my($h,$row) = @_;
$h->{Signature_tampered} = 'on' if ($row->[3] eq 'TRUE');
};


$valueProc->{SignerInfo_count} = sub{
    my($h,$row) = @_;$h->{SignerInfo_count} = $row->[3];
};


$valueProc->{ESSCertID_certHash} = sub {
    my($h,$row) = @_;$h->{ESSCertID_certHash} = $row->[3];
};
$valueProc->{ESSCertID_issuerSerial_issuer} = sub {
    my ($h,$row) = @_;
    my ($type,$type2,$value) = ($row->[3] =~ /^([^:]+):([^:]+):(.*)$/);
    if ($type eq 'directoryName') {
	$h->{ESSCertID_issuerSerial_issuer_dn_type} = $type2;
	$h->{ESSCertID_issuerSerial_issuer_dn_value} = $value;
    }
    if ($type eq 'URI') {
	$h->{ESSCertID_issuerSerial_issuer_uri_value} = $value;
    }
};
$valueProc->{ESSCertID_issuerSerial_serialNumber} = sub {
    my ($h,$row) = @_;
    my ($type,$value) = split(/:/, $h->{ESSCertID_issuerSerial_serialNumber});
    $h->{ESSCertID_issuerSerial_serialNumber_type} = $type;
    $h->{ESSCertID_issuerSerial_serialNumber_value} = $value;
};
$valueProc->{ESSCertID_issuerSerial_serialNumber} = sub {
    my ($h,$row) = @_;
    my ($type,$value) = split(/:/, $row->[3]);
    $h->{ESSCertID_issuerSerial_serialNumber_type} = $type;
    $h->{ESSCertID_issuerSerial_serialNumber_value} = $value;
};
$valueProc->{SigningCertificate_certID} = sub {
    my ($h,$row) = @_;
    my $seq = $row->[2];
    my $value = $row->[3];
    $h->{"SigningCertificate_certID$seq"} = $value;
};
$valueProc->{SigningCertificate_keypairID} = sub {
    my ($h,$row) = @_;
    my $seq = $row->[2];
    my $value = $row->[3];
    $h->{"SigningCertificate_keypairID$seq"} = $value;
};

&_setValue($h);
&_setInput($h);

our $CPKI_TITLE = getTitle("Time Stamp Request::Edit");

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&_printForm;

#printDumper($db);
#printDumper($CPKI_CONFIG->{db});
#printDumper($h);
#printDumper($input);

&printLog($db,$h);
&printPoweredBy;
&printFooter;

sub _setValue {
    if ((! defined $h->{id}) || $h->{id} !~ /^\d+/) {
	return;
    }

    $h->{org_id} = $h->{id};

    my $sql1 = "SELECT * FROM tsr WHERE id = $h->{id};";
    my  $sql2 = "SELECT * FROM tsr_value WHERE id = $h->{id};";
    $db = new JNSA::DB({config => $CPKI_CONFIG->{db}});

    $db->querySession([$sql1,$sql2]);

    my $row = $db->{resultSetArray}->[0]->[0];
    $h->{base_id}  = $row->[1];
    $h->{name}  = $row->[2];
    $h->{keyword}  = $row->[3];
    $h->{note}  = $row->[4];

    &set_hvalue_from_table($h, $valueProc, $db->{resultSetArray}->[1]);
}

sub _setInput {
    my ($h) = @_;

    &set_input_txt($input,"id",			$h," size=\"10\"");
    &set_input_hdv($input,"org_id",		$h);
    &set_input_txt($input,"base_id",		$h," size=\"10\"");

    &set_input_txt($input,"name",	$h," size=\"84\"");
    &set_input_txt($input,"keyword",	$h," size=\"84\"");
    &set_input_txa($input,"note",	$h," cols=\"64\" rows=\"5\" wrap=off");

    &set_input_txt($input,"TimeStampResp_status",	$h," size=\"10\"");
    &set_input_txt($input,"PKIStatusInfo_statusString",	$h," size=\"84\"");
    &set_input_txt($input,"PKIStatusInfo_failInfo",	$h," size=\"84\"");
    &set_input_cbx($input,"TimeStampResp_containsTST",	$h);

    &set_input_txt($input,"TSTInfo_version",	$h," size=\"10\"");
    &set_input_txa($input,"TSTInfo_policy",	$h," cols=\"64\" rows=\"5\" wrap=off");
    &set_input_txt($input,"TSTInfo_messageImprint_hashedMessage",	$h," size=\"84\"");
    &set_input_txt($input,"TSTInfo_messageImprint_hashAlgorithm",	$h," size=\"60\"");
    &set_input_cbx($input,"TSTInfo_messageImprint_AUTO",	$h);
    &set_input_sel($input,"TSTInfo_serialNumber_type",	$h,"dechex");
    &set_input_txt($input,"TSTInfo_serialNumber_value",	$h," size=\"60\"");
    &set_input_txt($input,"TSTInfo_genTime",	$h," size=\"60\"");
    &set_input_txt($input,"TSTInfo_accuracy",	$h," size=\"60\"");
    &set_input_cbx($input,"TSTInfo_ordering_value",	$h);
    &set_input_txt($input,"TSTInfo_nonce",	$h," size=\"84\"");
    &set_input_cbx($input,"TSTInfo_nonce_AUTO",	$h);
    &set_input_sel($input,"TSTInfo_tsa_dn_type",	$h,"dn");
    &set_input_txt($input,"TSTInfo_tsa_dn_value",	$h," size=\"71\"");
    &set_input_txt($input,"TSTInfo_tsa_uri_value",	$h," size=\"84\"");
    &set_input_txa($input,"TSTInfo_extensions", $h," cols=\"60\" rows=\"3\" wrap=off");
    &set_input_txa($input,"TSTInfo_binary", $h," cols=\"60\" rows=\"5\" wrap=on");

    &set_input_txt($input,"SignedData_version", $h, " size=\"2\"");
    &set_input_txt($input,"ContentInfo_contentType", $h, " size=\"60\"");
    &set_input_txt($input,"EncapsulatedContentInfo_eContentType", $h, " size=\"60\"");

    &set_input_txt($input,"SignerInfo_count", $h, " size=\"1\"");
    &set_input_cbx($input,"Signature_tampered",	$h);
    &set_input_cbx($input,"Exclude_ESSCertID",	$h);
    &set_input_txt($input,"ESSCertID_certHash",	$h," size=\"84\"");
    &set_input_sel($input,"ESSCertID_issuerSerial_issuer_dn_type",	$h,"dn");
    &set_input_txt($input,"ESSCertID_issuerSerial_issuer_dn_value",	$h," size=\"71\"");
    &set_input_txt($input,"ESSCertID_issuerSerial_issuer_uri_value",	$h," size=\"84\"");
    &set_input_sel($input,"ESSCertID_issuerSerial_serialNumber_type",	$h,"dechex");
    &set_input_txt($input,"ESSCertID_issuerSerial_serialNumber_value",	$h," size=\"60\"");

    &set_input_txt($input,"SigningCertificate_certID1",$h," size=\"10\"");
    &set_input_txt($input,"SigningCertificate_keypairID1",$h," size=\"10\"");
    &set_input_txt($input,"SigningCertificate_certID2",$h," size=\"10\"");
    &set_input_txt($input,"SigningCertificate_keypairID2",$h," size=\"10\"");
    &set_input_txt($input,"SigningCertificate_certID3",$h," size=\"10\"");
    &set_input_txt($input,"SigningCertificate_keypairID3",$h," size=\"10\"");
    &set_input_txt($input,"SigningCertificate_certID4",$h," size=\"10\"");
    &set_input_txt($input,"SigningCertificate_keypairID4",$h," size=\"10\"");
    &set_input_txt($input,"SigningCertificate_certID5",$h," size=\"10\"");
    &set_input_txt($input,"SigningCertificate_keypairID5",$h," size=\"10\"");
}

sub _printForm {
    print <<"___EOF___";
<form name="f1" action="cpki_tsr_editconfirm.cgi" method="POST">

<table width="90%">
<thead><tr><th>Item</th><th width="100%">Value</th></tr></thead>
<tbody>
<tr><td class="1">ID</td><td>
$input->{id}
(original ID:$input->{org_id}) Copy will be made if you specify different number.
</td></tr>
<tr><td class="1">Base ID</td><td>
$input->{base_id}
You may enter ID when you copy it.
</td></tr>
<tr><td class="1">Name</td><td>$input->{name}</td></tr>
<tr><td class="1">Keywords</td><td>$input->{keyword}</td></tr>
<tr><td class="1">Note</td><td>$input->{note}</td></tr>
</tbody>
</table>

<h4>Response section</h4>

<table width="90%">
<thead><tr><th>Item</th><th width="100%">Value</th></tr></thead>
<tbody>
<tr><td class="1">TimeStampResp status</td><td>
$input->{TimeStampResp_status}</td></tr>
<tr><td class="1" nowrap>PKIStatusInfo statusString</td><td>
$input->{PKIStatusInfo_statusString}</td></tr>
<tr><td class="1" nowrap>PKIStatusInfo failInfo</td><td>
$input->{PKIStatusInfo_failInfo}</td></tr>
<tr><td class="1" nowrap>TimeStamResp contains TST</td><td>
$input->{TimeStampResp_containsTST}</td></tr>
</tbody>
</table>

<h4>TSTInfo section</h4>

<table width="90%">
<thead><tr><th>Item</th><th width="100%">Value</th></tr></thead>
<tbody>
<tr><td class="1">version</td><td>$input->{TSTInfo_version}</td></tr>
<tr><td class="1" nowrap>policy</td><td>$input->{TSTInfo_policy}</td></tr>
<tr><td class="1" nowrap>messageImprint.hashedMessage</td><td>$input->{TSTInfo_messageImprint_hashedMessage}</td></tr>
<tr><td class="1" nowrap>messageImprint.hashAlgorithm</td><td>$input->{TSTInfo_messageImprint_hashAlgorithm}</td></tr>
<tr><td class="1" nowrap>messageImprint.AUTO</td><td>$input->{TSTInfo_messageImprint_AUTO}</td></tr>
<tr><td class="1" nowrap>serialNumber</td><td>
$input->{TSTInfo_serialNumber_type}
$input->{TSTInfo_serialNumber_value}
</td></tr>
<tr><td class="1" nowrap>genTime</td><td>$input->{TSTInfo_genTime}</td></tr>
<tr><td class="1" nowrap>accuracy</td><td>$input->{TSTInfo_accuracy}</td></tr>
<tr><td class="1" nowrap>ordering</td><td>$input->{TSTInfo_ordering_value} Check if TRUE</td></tr>
<tr><td class="1" nowrap>nonce</td><td>
$input->{TSTInfo_nonce} (hex)
</td></tr>
    <tr><td class="1" nowrap>nonce.AUTO</td><td>$input->{TSTInfo_nonce_AUTO}</td></tr>
<tr><td class="1" nowrap>tsa</td><td>
  <b>directoryName</b><br>
  $input->{TSTInfo_tsa_dn_type} $input->{TSTInfo_tsa_dn_value}<br>
  <b>URI</b><br>
  $input->{TSTInfo_tsa_uri_value}<br>
  <i>NOTE: Either directoryName or URI can be specified.</i>
</td></tr>
<tr><td class="1" nowrap>extensions(c|n:{oid}:{octetstring})</td><td>
    $input->{TSTInfo_extensions}
</td></tr>
<tr><td class="1" wrap>TSTInfo by octetstring. be ignored other settings if specified</td><td>
    $input->{TSTInfo_binary}
</td></tr>
</tbody>
</table>

<h4>CMS SignedData section</h4>

<table width="90%">
<thead><tr><th>Item</th><th width="100%">Value</th></tr></thead>
<tbody>
    <tr><td class="1">Signature is tampered</td><td>$input->{Signature_tampered}</td></tr>
    <tr><td class="1">SignerInfo count(default=1)</td><td>$input->{SignerInfo_count}</td></tr>
<tr><td class="1">SignedData.version(Default=3)</td><td>
$input->{SignedData_version}</td></tr>
<tr><td class="1">ContentInfo.contentType</td><td>
$input->{ContentInfo_contentType}</td></tr>
<tr><td class="1" nowrap>EncapsulatedContentInfo.eContentType</td><td>
$input->{EncapsulatedContentInfo_eContentType}</td></tr>
</tbody>
</table>

<h4>ESSCertID section</h4>

<table width="90%">
<thead><tr><th>Item</th><th width="100%">Value</th></tr></thead>
<tbody>
    <tr><td class="1">Exclude ESSCertID</td><td>$input->{Exclude_ESSCertID}</td></tr>
<tr><td class="1">certHash</td><td>$input->{ESSCertID_certHash}</td></tr>
<tr><td class="1" nowrap>issuerSeriai issuer</td><td>
  <b>directoryName</b><br>
  $input->{ESSCertID_issuerSerial_issuer_dn_type}
  $input->{ESSCertID_issuerSerial_issuer_dn_value}<br>
  <b>URI</b><br>
  $input->{ESSCertID_issuerSerial_issuer_uri_value}<br>
  <i>NOTE: Either directoryName or URI can be specified.</i>
</td></tr>
<tr><td class="1" nowrap>issuerSeriai serialNumber</td><td>
$input->{ESSCertID_issuerSerial_serialNumber_type}
$input->{ESSCertID_issuerSerial_serialNumber_value}
</td></tr>
</tbody>
</table>

<h4>TSA's Certificate and PKey section(MUST be pair)</h4>

<table>
<thead><tr><th>Seq</th><th>CertID</th><th>KeyID</th></tr></thead>
<tbody>
<tr>
<td class="1">1</td>
<td>$input->{SigningCertificate_certID1}</td>
<td>$input->{SigningCertificate_keypairID1}</td>
</tr>
</tbody>
</table>

<h4>SigningCertificate section</h4>

<table>
<!--<thead><tr><th>Seq</th><th>CertID</th><th>KeyID</th></tr></thead>-->
<thead><tr><th>Seq</th><th>CertID</th></tr></thead>
<tbody>
<tr>
<td class="1">1</td>
<td>$input->{SigningCertificate_certID2}</td>
<!--<td>$input->{SigningCertificate_keypairID2}</td>-->
</tr>
<tr>
<td class="1">2</td>
<td>$input->{SigningCertificate_certID3}</td>
<!--<td>$input->{SigningCertificate_keypairID3}</td>-->
</tr>
<tr>
<td class="1">3</td>
<td>$input->{SigningCertificate_certID4}</td>
<!--<td>$input->{SigningCertificate_keypairID4}</td>-->
</tr>
<tr>
<td class="1">4</td>
<td>$input->{SigningCertificate_certID5}</td>
<!--<td>$input->{SigningCertificate_keypairID5}</td>-->
</tr>
</tbody>
</table>

<p>
<input type="submit" value="Next"> 
<input type="reset" value="Reset"> 
<a href="cpki_tsr_list.cgi">Back to Time Stamp Response List</a>
</p>
</form>
___EOF___
}
