#!/usr/bin/perl

# $Id: cpki_tsr_editconfirm.cgi,v 1.3 2004/06/18 13:27:16 urushima Exp $

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";
use lib "./lib";
use Data::Dumper;

our $f = &decodeHttpRequest;

&_setFormValue($f);

our $CPKI_TITLE = getTitle("Time Stamp Response::ConfirmUpdate");

$aPostname =
    [qw(id org_id base_id
	name keyword note
	TimeStampResp_status
	PKIStatusInfo_statusString
	PKIStatusInfo_failInfo
	TimeStampResp_containsTST
	TSTInfo_version
	TSTInfo_policy
	TSTInfo_messageImprint_hashedMessage
	TSTInfo_messageImprint_hashAlgorithm
	TSTInfo_messageImprint_AUTO
	TSTInfo_serialNumber
	TSTInfo_genTime
	TSTInfo_accuracy
	TSTInfo_ordering
	TSTInfo_nonce
	TSTInfo_nonce_AUTO
	TSTInfo_tsa
	TSTInfo_extensions
	TSTInfo_binary
	Signature_tampered
	SignerInfo_count
	SignedData_version
	ContentInfo_contentType
	EncapsulatedContentInfo_eContentType
	Exclude_ESSCertID
	ESSCertID_certHash
	ESSCertID_issuerSerial_issuer
	ESSCertID_issuerSerial_serialNumber
	SigningCertificate_certID1
	SigningCertificate_keypairID1
	SigningCertificate_certID2
	SigningCertificate_keypairID2
	SigningCertificate_certID3
	SigningCertificate_keypairID3
	SigningCertificate_certID4
	SigningCertificate_keypairID4
	SigningCertificate_certID5
	SigningCertificate_keypairID5
	)];
$postdata = &string_html_trth_hash($f,$aPostname);

# Print HTML ================================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

print <<"__EOFEOFEOF__";
<p><b>Do you update following time stamp response(No.$f->{id})?</b></p>

<table>
<thead><th>Item</th><th>Value</th></thead>
<tbody>
$postdata
</tbody>
</table>
<form action="cpki_tsr_editresult.cgi" method="POST">
__EOFEOFEOF__

printHtmlInputHiddenHashByArray($f,$aPostname);

#printDumper($f);

print <<"__EOFEOFEOF__";
<input type="submit" value="Register"> | 
<a href="cpki_tsr_list.cgi">Back to time stamp response list</a>
</form>
__EOFEOFEOF__

&printPoweredBy;
&printFooter;

sub _setFormValue {
    my($h) = @_;
    # TimeStampResp contains TST
    if ($h->{TimeStampResp_containsTST} eq 'on') {
	$h->{TimeStampResp_containsTST} = "TRUE";
    }

    # TSTInfo_policy (canonicalization)
    $h->{TSTInfo_policy} = canonical_tab($h->{TSTInfo_policy});

    # TSTInfo_serialNumber
    if ($h->{TSTInfo_serialNumber_value} ne '') {
	$h->{TSTInfo_serialNumber} = $h->{TSTInfo_serialNumber_type} . ":" .
	    $h->{TSTInfo_serialNumber_value};
    }

    # TSTInfo_ordering
    if ($h->{TSTInfo_ordering_value} eq 'on') {
	$h->{TSTInfo_ordering} = "TRUE";
    }

    # TSTInfo_tsa
    if ($h->{TSTInfo_tsa_uri_value} ne '') {
	$h->{TSTInfo_tsa} = "URI:" . $h->{TSTInfo_tsa_uri_value};
    }
    if ($h->{TSTInfo_tsa_dn_value} ne '') {
	$h->{TSTInfo_tsa} = "directoryName:" . 
	    $h->{TSTInfo_tsa_dn_type} . ":" . $h->{TSTInfo_tsa_dn_value};
    }
    if ($h->{TSTInfo_messageImprint_AUTO} eq 'on') {
	$h->{TSTInfo_messageImprint_AUTO} = "TRUE";
    }
    if ($h->{TSTInfo_nonce_AUTO} eq 'on') {
	$h->{TSTInfo_nonce_AUTO} = "TRUE";
    }

    if ($h->{Exclude_ESSCertID} eq 'on') {
	$h->{Exclude_ESSCertID} = "TRUE";
    }
    if ($h->{Signature_tampered} eq 'on') {
	$h->{Signature_tampered} = "TRUE";
    }

    # ESSCertID_issuerSerial_issuer
    if ($h->{ESSCertID_issuerSerial_issuer_uri_value} ne '') {
	$h->{ESSCertID_issuerSerial_issuer} = "URI:" .
	    $h->{ESSCertID_issuerSerial_issuer_uri_value};
    }
    if ($h->{ESSCertID_issuerSerial_issuer_dn_value} ne '') {
	$h->{ESSCertID_issuerSerial_issuer} = "directoryName:" . 
	    $h->{ESSCertID_issuerSerial_issuer_dn_type} . ":" . 
		$h->{ESSCertID_issuerSerial_issuer_dn_value};
    }

    # ESSCertID_issuerSerial_serialNumber
    if ($h->{ESSCertID_issuerSerial_serialNumber_value} ne '') {
	$h->{ESSCertID_issuerSerial_serialNumber} = 
	    $h->{ESSCertID_issuerSerial_serialNumber_type} . ":" .
		$h->{ESSCertID_issuerSerial_serialNumber_value};
    }

}

