#!/usr/bin/perl

# $Id: cpki_tsr_list.cgi,v 1.3 2004/06/18 13:27:16 urushima Exp $

use strict;
use Data::Dumper;
use lib "./lib";
use JNSA::DB;

our $CPKI_CONST;
our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $formHash = &decodeHttpRequest;
if ($formHash->{db} ne "") {
    $CPKI_CONFIG->{db}->{dsn} =~ s/dbname=[0-9A-Za-z]+/dbname=$formHash->{db}/;
}

our $sql = "SELECT id, name FROM tsr ORDER by id;";
our $db = new JNSA::DB({config => $CPKI_CONFIG->{db}});

$db->querySession([$sql]);

our $CPKI_TITLE = getTitle("Time Stamp Response List");

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

print "<p><a href=\"cpki_tsr_edit.cgi\">CREATE NEW TSR</a></p>\n";

&_printList($db->{resultSetArray}->[0]);

#printDumper($db);
#printDumper($CPKI_CONFIG->{db});
#printDumper($formHash);

&printLog($db);
&printPoweredBy;
&printFooter;

sub _printList {
    my ($tbl) = @_;
    my ($i);

    if ($#{$tbl} < 0) { 
	print "<strong class=\"warn\">No item in list.</strong><br>";
	return;
    }

    print "<table class=\"rowover\" STRIPED=\"true\">\n";
    print "<thead><tr><th>Action</th><th>ID</th>";
    print "<th>Note</th>";
    print "<th>Util</th>";
    print "</tr></thead>\n";
    print "<tbody>\n";
    for ($i = 0; $i <= $#{$tbl}; $i++) {
	my ($row) = $tbl->[$i];
	my ($id, $s);
	$id = $row->[0];
	$s .= "<tr>";
	$s .= "<td>";
	$s .= "<a href=\"cpki_common_delconfirm.cgi?type=tsr&id=$id\">Del</a> / ";
	$s .= "<a href=\"cpki_tsr_edit.cgi?id=$id\">Edit</a>";
	$s .= "</td>";
	$s .= tdesch($row->[0]);
	$s .= tdesch($row->[1]);

	$s .= "<td>";
	$s .= "<a href=\"cpki_tsr_getfile.cgi?type=tst&id=$id\">Get TST</a>";
	$s .= "</td>";

	$s .= "</tr>\n";
	print $s;
    }
    print "</tbody>\n";
    print "</table>\n";
}

