#============================================================================
# ocspValueProc
#============================================================================
$ocspValueProc = {};

$ocspValueProc->{responseStatus} = sub {
    my($h,$row) = @_;

    my $value = $row->[3];
    $h->{responseStatus} = $value;
};

$ocspValueProc->{responderID} = sub {
    my($h,$row) = @_;

    my $value = $row->[3];
    if ($value =~ /^byName:([^:]+):(.+)$/) {
	$h->{responderID_by} = "byName";
	$h->{responderID_dn_type} = $1;
	$h->{responderID_dn_value} = $2;
	return;
    } 
    if ($value =~ /^byKey:(.+)$/) {
	$h->{responderID_by} = "byKey";
	$h->{responderID_dn_value} = $1;
	return;
    } 
};

$ocspValueProc->{producedAt} = sub {
    my($h,$row) = @_;

    my $value = $row->[3];
    $h->{producedAt} = $value;
};

$ocspValueProc->{certID} = sub {
    my($h,$row) = @_;

    my $value = $row->[3];

    if ($value =~ /^issuerNameHash=([^:]+):(.*)$/) {
	$h->{certID_issuerNameHash_type} = $1;
	$h->{certID_issuerNameHash_value} = $2;
	return;
    }
    if ($value =~ /^issuerKeyHash=(.*)$/) {
	$h->{certID_issuerKeyHash_value} = $1;
	return;
    }
    if ($value =~ /^serialNumber=([^:]+):(.*)$/) {
	$h->{certID_serialNumber_type} = $1;
	$h->{certID_serialNumber_value} = $2;
	return;
    }
};

$ocspValueProc->{certStatus} = sub {
    my($h,$row) = @_;

    my $value = $row->[3];

    if ($value =~ /^CertStatus=(.*)$/) {
	$h->{certStatus_CertStatus} = $1;
	return;
    }
    if ($value =~ /^revocationTime=(.*)$/) {
	$h->{certStatus_revocationTime} = $1;
	return;
    }
    if ($value =~ /^revocationReason=(.*)$/) {
	$h->{certStatus_revocationReason} = $1;
	return;
    }
};

$ocspValueProc->{thisUpdate} = sub {
    my($h,$row) = @_;

    my $value = $row->[3];
    $h->{thisUpdate} = $value;
};

$ocspValueProc->{oCSPStatusCode} = sub {
    my($h,$row) = @_;

    my $value = $row->[3];
    my $is_critical = $row->[4];
    $h->{oCSPStatusCode_exists} = 1;
    $h->{oCSPStatusCode_critical} = $is_critical;
    $h->{oCSPStatusCode_value} = $value;
};


$ocspValueProc->{certPathStatus} = sub {
    my($h,$row) = @_;

    my $value = $row->[3];
    my $is_critical = $row->[4];
    $h->{certPathStatus_exists} = 1;
    $h->{certPathStatus_critical} = $is_critical;
    $h->{certPathStatus_value} = $value;
};

