# -*-Perl-*-

$CPKI_CONFIG = {
    db => {
	dsn => "dbi:Pg:dbname=cpki_jgpki2",
	usr => "apache",
	pw => ""
    }
};

#
# printHeader
#
#	printFooter may be modified as you like.
#
sub printHeader {
    print <<"___EOF___";
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"> 
<HTML lang="UTF-8">
<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>IPA/JNSA Challenge PKI Test Suite::${CPKI_TITLE}</TITLE>
<LINK rel="stylesheet" href="/cpki/index.css" type="text/css">
$CPKI_CONST->{const}->{javascript}
</HEAD>
<BODY>
<H1>${CPKI_TITLE}</H1>
<P>
Common: 
<a href="cpki_index.cgi">Top</a> | 
<a href="/cpki/">Doc</a> | 
<a href="cpki_key_list.cgi">KeyPair</a> | 
<a href="cpki_certpath_list.cgi">CertPath</a> | 
<a href="cpki_case_list.cgi">TestCase</a> | 
<a href="cpki_testresult_list.cgi">TestResult</a> | 
<a href="cpki_testclient_list.cgi">TestClient</a> | 
<a href="cpki_testcategory_list.cgi">TestCategory</a> | 
<a href="cpki_cert_list.cgi">Certificate</a> | 
<a href="cpki_crl_list.cgi">CRL</a> | 
<a href="cpki_ocsp_list.cgi">OCSP</a> | 
<a href="cpki_ccp_list.cgi">CCP</a> | 
<a href="cpki_dirtree_list.cgi">LDAPRep</a> || 
<a href="cpki_direntry_list.cgi">LDAPEntry</a> || 
<a href="cpki_help.cgi">Help</a> ,
<a href="cpki_tips.cgi">Tips</a> and
<a href="cpki_faq.cgi">FAQ</a>
<BR>
Timestamp Test Suite: 
<a href="cpki_tsq_list.cgi">Tsq</a> | 
<a href="cpki_tsr_list.cgi">Tsr</a> | 
<a href="cpki_tspprocase_list.cgi">Tsp Protocol Testcase</a> | 
<a href="cpki_tspacccase_list.cgi">Tsp Accuracy Testcase</a> | 
</P>
___EOF___
}

#
# printFooter
#
#	printFooter may be modified as you like.
#
sub printFooter {
    print <<"___EOF___";
<P style="border: 1 solid black; padding-left: 1em">
  <a href="http://www.jnsa.org/mpki/">JNSA/IPA Challenge PKI Test Suite</a>
</P>
</BODY>
</HTML>
___EOF___
}

#
# printTopContents
#
#	printTopContents can be modified if you like.
#
sub printTopContents {
    print <<"___EOF___";
THIS IS A SAMLPLE TOP PAGE OF CHALLENGE PKI TEST SUITE.
<h2>Welcome to Challenge PKI Test Suite</h4>

<h3>Introduction</h3>
<p>
The Challnege PKI Test Suite was developed by the
<a href="http://www.jnsa.org/mpki/" target="_blank">
Challenge PKI Project</a> from 2002 to 2004.
The goal of the tool is to help conduct certificate path processing
testing and time stamp protocol testing based on X.509, 
<a href="http://www.ietf.org/rfc/rfc3280.txt" target="_blank">RFC 3280</a>
or
<a href="http://www.ietf.org/rfc/rfc3161.txt" target="_blank">RFC 3161</a>.
</p>
<p>
This test suite provides the following features.
</p>

<ul>
<li>Multi Domain PKI testing environment using only ONE Linux PC.</li>
<li>Open Source Software distributed as BSD lincence.</li>
<li>Multi CA certificate issuance</li>
<li>Multi LDAP repository</li>
<li>Test case database for certificate path processing and timestamp testing</li>
<li>Easy accessible web browser based interface</li>
<li>Flexible certificate and CRL issuance (e.g. any extensions, distinguish name which contains special characters such like European, Chinese, Japanese or Korean languages)</li>
<li>Cooperative test case design environment.</li>
<li>Easy to re-build test environment.</li>
<li><a href="/cpki/help_cross.html" target="_blank">Cross certification</a>
  with CA products.</li>
<li>OCSP Responder and Japanese GPKI CVS(Certificate Validation Server) Simulator</li>
<li>Timestamp request and response generator.</li>
</ul>

<p>
<embed src="/cpki/fig_arch.svgz" width="600" height="400"
  type="image/svg-xml"
  pluginspage="http://www.adobe.com/svg/viewer/install/">
</p>

<H3>Document</H3>
The document for this test suite can be found 
<a href="/cpki/">here</a>.

<p>
NOTE: You can customize this top page by editing 'site_config.pl' file.<br>
NOTE: CERTIFICATES AND KEYPAIRS CREATED BY 'THIS TEST SUITE' *MUST NOT* BE USED IN *REAL* SITUATION
BECAUSE PRIVATE KEYS ARE ACCESSIBLE FROM EVERYONE. 
</p>
___EOF___
}

1;
