package JNSA::DB::TESTCASE;	# -*-Perl-*-

use JNSA::DB::UTIL;
use vars qw($VERSION);

$VERSION = '1.911';

require Exporter;
@ISA=qw(Exporter);
@EXPORT=qw(sqlInsertTestCase
	   sqlUpdateTestCase
	   sqlDeleteTestCase);

#
# sqlInsertTestCase(certInfo)
#
#	
sub sqlInsertTestCase {
    my($h) = @_;

    qwsH($h, qw(testcase_code init_policy_set name keyword note));
    numNullH($h, qw(category_id level 
		    certpath_id serverset_id
		    ta_cert_id ee_cert_id exp_value));

    $sql = "
INSERT INTO testcase VALUES (
  $h->{id},$h->{testcase_code},$h->{category_id},$h->{level},
  $h->{certpath_id},$h->{serverset_id},
  $h->{ta_cert_id},$h->{ee_cert_id},
  $h->{exp_value},$h->{init_policy_set},
  $h->{init_policy_mapping_inhibit_flag},
  $h->{init_explicit_policy_flag},
  $h->{init_any_policy_inhibit_flag},
  $h->{name},
  $h->{keyword}
  $h->{note});";

    return $sql;
}
# -- end ------------------------------------------------------------


# sqlUpdateTestCase(certInfo)
#
#	
sub sqlUpdateTestCase {
    my($h) = @_;
    qwsH($h, qw(testcase_code init_policy_set name keyword note));
    numNullH($h, qw(category_id level
		    certpath_id serverset_id
		    ta_cert_id ee_cert_id exp_value));

    my $sql = "
UPDATE testcase SET
  id=$h->{id},
  testcase_code=$h->{testcase_code},
  category_id=$h->{category_id},
  level=$h->{level},
  certpath_id=$h->{certpath_id},
  serverset_id=$h->{serverset_id},
  ta_cert_id=$h->{ta_cert_id},
  ee_cert_id=$h->{ee_cert_id},
  exp_value=$h->{exp_value},
  init_policy_set=$h->{init_policy_set},
  init_policy_mapping_inhibit_flag=$h->{init_policy_mapping_inhibit_flag},
  init_explicit_policy_flag=$h->{init_explicit_policy_flag},
  init_any_policy_inhibit_flag=$h->{init_any_policy_inhibit_flag},
  name=$h->{name},
  keyword=$h->{keyword},
  note=$h->{note}
  WHERE id = $h->{id};";


    return $sql;
}
# -- end ------------------------------------------------------------

# sqlDeleteTestCase(id)
#
#	
sub sqlDeleteTestCase{
    my($id) = @_;

    my $sql = "";
    return $sql;
}

# -- end ------------------------------------------------------------

1;
