package JNSA::DB::UTIL;					# -*-Perl-*-

require Exporter;
@ISA=qw(Exporter);
@EXPORT=qw(numNull numNullRef numNullH qws qwsRef qwsH getDbnameByDsn);

#
# numNull(s)
#
#	If s is empty string it returns string 'null', otherwise
#	returns s itsself. 
#
sub numNull {return ($_ eq '') ? 'null' : $_;}

# 
# numNullRef(sref)
#
sub numNullRef {my($r) = @_;$$r = ($$r eq '') ? 'null' : $$r;}

# 
# numNullH(hash)
#
sub numNullH {my($h,@k) = @_;for (@k) {numNullRef(\$h->{$_});};}

#
# qws(s)
#
#	return quoted string 's' as SQL string.
#       Quoting rule as follows
#		' => ''
#		\ => \\
#
#	(Example)
#	mo'ji\moji  'mo''ji\\moji'
#
sub qws {$_ = $_[0];s/\'/\'\'/g;s/\\/\\\\/g;return "'" . $_ . "'";}

# 
# qwsRef(sref)
#
#	ʸѿλȤȤơȤѿͤ
#	SQLȤ롣
#
#	$a = "aa'a";
#	qwsRef($a);	ѿͤϡ'aa''a'פˤʤäƤ
#
sub qwsRef {my($r) = @_;$_ = $$r;s/\'/\'\'/g;s/\\/\\\\/g;$$r = "'" . $_ . "'";}

#
# qwsH(h,keyList)
#
#	ϥå h ΡΥꥹ keyList Υ
#	ѿͤƤSQLȤ롣
#
#	$h = { a => "aa'a", b => 'bb\b', c => "ccc'c" };
#	qwsH($h,qw(a b))	$h->{a},$h->{b}ΤSQLȤ
#
sub qwsH {my($h,@k) = @_;for (@k) {qwsRef(\$h->{$_});};}

#
# getDbnameByDsn
#
#	ǡ̾ dsn ꡢǡ١̾Ф
#	֤
#
#	getDbnameByDsn("dbi:Pg:dbname=jnsaipa0833;host=127.0.0.1") => "jnsaipa0833"
#
#	ߡPg ˤб
#
sub getDbnameByDsn {
    my($dsn) = @_;

    if ($dsn =~ /dbname=([^;]+)/) { return $1; }
    if ($dsn =~ /dbname=(.+)$/) { return $1; }
    return "";
}

1;
