DROP TABLE "ccp";

CREATE TABLE "rawcert" (
	"id" numeric(9,0) PRIMARY KEY,
	"base_id" numeric(9,0) default NULL,
	"issuer_keypair" numeric(9,0) default NULL,
	"subject_keypair" numeric(9,0) default NULL,
	"pem" text,
	"name" varchar(128),
	"keyword" varchar(256),
	"note" text,
	foreign key (base_id) references rawcert(id) on delete set default,
	foreign key (issuer_keypair) references keypair(id) on delete set default,
	foreign key (subject_keypair) references keypair(id) on delete set default
);

CREATE TABLE "ccp" (
	"id" numeric(9,0) PRIMARY KEY,
	"issued_to" numeric(9,0) default NULL,
	"issued_by" numeric(9,0) default NULL,
	"issued_to_raw" numeric(9,0) default NULL,
	"issued_by_raw" numeric(9,0) default NULL,
	"name" varchar(128),
	"keyword" varchar(256),
	"note" text,
	foreign key (issued_to) references cert(id) on delete set default,
	foreign key (issued_by) references cert(id) on delete set default,
	foreign key (issued_to_raw) references rawcert(id) on delete set default,
	foreign key (issued_by_raw) references rawcert(id) on delete set default
);
