--
-- Selected TOC Entries:
--

--
-- TOC Entry ID 2 (OID 588292)
--
-- Name: keypair Type: TABLE Owner: postgres
--

CREATE TABLE "keypair" (
	"keypair_no" numeric(9,0) NOT NULL,
	"crypto_method" numeric(1,0),
	"crypto_bit" numeric(4,0),
	"usage" numeric(2,0),
	"private_key" character varying(4096) NOT NULL,
	"public_key" character varying(1024) NOT NULL,
	"keyid_type" numeric(2,0),
	"keyid" character varying(256),
	"comment" character varying(1024),
	Constraint "keypair_pk" Primary Key ("keypair_no")
);

--
-- TOC Entry ID 3 (OID 588292)
--
-- Name: keypair Type: ACL Owner: 
--

REVOKE ALL on "keypair" from PUBLIC;
GRANT ALL on "keypair" to PUBLIC;
GRANT ALL on "keypair" to "postgres";

--
-- TOC Entry ID 4 (OID 588298)
--
-- Name: test_category Type: TABLE Owner: postgres
--

CREATE TABLE "test_category" (
	"test_category_id" numeric(2,0) NOT NULL,
	"test_category_name" character varying(32),
	"test_category_explanation" character varying(1024),
	Constraint "test_category_pk" Primary Key ("test_category_id")
);

--
-- TOC Entry ID 5 (OID 588298)
--
-- Name: test_category Type: ACL Owner: 
--

REVOKE ALL on "test_category" from PUBLIC;
GRANT ALL on "test_category" to PUBLIC;
GRANT ALL on "test_category" to "postgres";

--
-- TOC Entry ID 6 (OID 588304)
--
-- Name: test_object Type: TABLE Owner: postgres
--

CREATE TABLE "test_object" (
	"test_object_id" numeric(3,0) NOT NULL,
	"test_object_name" character varying(32) NOT NULL,
	"test_object_detail" character varying(1024),
	"comment" character varying(1024),
	Constraint "test_object_pk" Primary Key ("test_object_id")
);

--
-- TOC Entry ID 7 (OID 588304)
--
-- Name: test_object Type: ACL Owner: 
--

REVOKE ALL on "test_object" from PUBLIC;
GRANT ALL on "test_object" to PUBLIC;
GRANT ALL on "test_object" to "postgres";

--
-- TOC Entry ID 8 (OID 588310)
--
-- Name: cert Type: TABLE Owner: postgres
--

CREATE TABLE "cert" (
	"cert_no" numeric(9,0) NOT NULL,
	"basecert_no" numeric(9,0),
	"cert_type" numeric(2,0) NOT NULL,
	"sign_key" numeric(9,0),
	"pub_key" numeric(9,0),
	"hash_alg" numeric(2,0),
	"comment" character varying(1024),
	Constraint "cert_pk" Primary Key ("cert_no")
);

--
-- TOC Entry ID 9 (OID 588310)
--
-- Name: cert Type: ACL Owner: 
--

REVOKE ALL on "cert" from PUBLIC;
GRANT ALL on "cert" to PUBLIC;
GRANT ALL on "cert" to "postgres";

--
-- TOC Entry ID 10 (OID 588316)
--
-- Name: cert_value Type: TABLE Owner: postgres
--

CREATE TABLE "cert_value" (
	"cert_no" numeric(9,0) NOT NULL,
	"cert_item_name" character varying(64) NOT NULL,
	"seq_no" numeric(2,0) NOT NULL,
	"cert_values" character varying(1024),
	"critical_flag" boolean,
	"invalid_flag" boolean,
	"comment" character varying(1024),
	Constraint "cert_value_ccs_pk" Primary Key ("cert_no", "cert_item_name", "seq_no")
);

--
-- TOC Entry ID 11 (OID 588316)
--
-- Name: cert_value Type: ACL Owner: 
--

REVOKE ALL on "cert_value" from PUBLIC;
GRANT ALL on "cert_value" to PUBLIC;
GRANT ALL on "cert_value" to "postgres";

--
-- TOC Entry ID 12 (OID 588322)
--
-- Name: crl Type: TABLE Owner: postgres
--

CREATE TABLE "crl" (
	"crl_no" numeric(9,0) NOT NULL,
	"basecrl_no" numeric(9,0),
	"crl_entry" character varying(1024),
	"crl_type" numeric(2,0) NOT NULL,
	"sign_key" numeric(9,0),
	"hash_alg" numeric(2,0),
	"comment" character varying(1024),
	Constraint "crl_pk" Primary Key ("crl_no")
);

--
-- TOC Entry ID 13 (OID 588322)
--
-- Name: crl Type: ACL Owner: 
--

REVOKE ALL on "crl" from PUBLIC;
GRANT ALL on "crl" to PUBLIC;
GRANT ALL on "crl" to "postgres";

--
-- TOC Entry ID 14 (OID 588328)
--
-- Name: crl_value Type: TABLE Owner: postgres
--

CREATE TABLE "crl_value" (
	"crl_no" numeric(9,0) NOT NULL,
	"crl_item_name" character varying(64) NOT NULL,
	"seq_no" numeric(2,0) NOT NULL,
	"crl_values" character varying(1024),
	"critical_flag" boolean,
	"invalid_flag" boolean,
	"comment" character varying(1024),
	Constraint "crl_value_ccs_pk" Primary Key ("crl_no", "crl_item_name", "seq_no")
);

--
-- TOC Entry ID 15 (OID 588328)
--
-- Name: crl_value Type: ACL Owner: 
--

REVOKE ALL on "crl_value" from PUBLIC;
GRANT ALL on "crl_value" to PUBLIC;
GRANT ALL on "crl_value" to "postgres";

--
-- TOC Entry ID 16 (OID 588334)
--
-- Name: ocsp Type: TABLE Owner: postgres
--

CREATE TABLE "ocsp" (
	"ocsp_no" numeric(9,0) NOT NULL,
	"baseocsp_no" numeric(9,0) NOT NULL,
	"ocsp_type" numeric(2,0) NOT NULL,
	"sign_key" numeric(9,0),
	"ocsp_cert" numeric(9,0),
	"comment" character varying(1024),
	Constraint "ocsp_pk" Primary Key ("ocsp_no")
);

--
-- TOC Entry ID 17 (OID 588334)
--
-- Name: ocsp Type: ACL Owner: 
--

REVOKE ALL on "ocsp" from PUBLIC;
GRANT ALL on "ocsp" to PUBLIC;
GRANT ALL on "ocsp" to "postgres";

--
-- TOC Entry ID 18 (OID 588340)
--
-- Name: ocsp_value Type: TABLE Owner: postgres
--

CREATE TABLE "ocsp_value" (
	"ocsp_no" numeric(9,0) NOT NULL,
	"ocsp_item_name" character varying(64) NOT NULL,
	"seq_no" numeric(2,0) NOT NULL,
	"ocsp_values" character varying(1024),
	"critical_flag" boolean,
	"invalid_flag" boolean,
	"comment" character varying(1024),
	Constraint "ocsp_value_ocsp_no_id_pk" Primary Key ("ocsp_no", "ocsp_item_name", "seq_no")
);

--
-- TOC Entry ID 19 (OID 588340)
--
-- Name: ocsp_value Type: ACL Owner: 
--

REVOKE ALL on "ocsp_value" from PUBLIC;
GRANT ALL on "ocsp_value" to PUBLIC;
GRANT ALL on "ocsp_value" to "postgres";

--
-- TOC Entry ID 20 (OID 588346)
--
-- Name: cert_path Type: TABLE Owner: postgres
--

CREATE TABLE "cert_path" (
	"cert_path_no" numeric(9,0) NOT NULL,
	"cert_no" numeric(9,0),
	"crl_no" numeric(9,0),
	"ocsp_no" numeric(9,0),
	"cert_order_no" numeric(2,0) NOT NULL,
	Constraint "cert_path_cert_path_no_pk" Primary Key ("cert_path_no", "cert_order_no")
);

--
-- TOC Entry ID 21 (OID 588346)
--
-- Name: cert_path Type: ACL Owner: 
--

REVOKE ALL on "cert_path" from PUBLIC;
GRANT ALL on "cert_path" to PUBLIC;
GRANT ALL on "cert_path" to "postgres";

--
-- TOC Entry ID 22 (OID 588349)
--
-- Name: test_case Type: TABLE Owner: postgres
--

CREATE TABLE "test_case" (
	"test_case_no" numeric(9,0) NOT NULL,
	"test_case_name" character varying(256),
	"test_category_id" numeric(2,0),
	"test_level" numeric(2,0),
	"cert_path_no" numeric(9,0),
	"test_exp_value" numeric(8,0),
	"accep_policy" character varying(256),
	"init_policy_mapping_inhibit" boolean,
	"init_explicit_policy" boolean,
	"init_any_policy_inhibit" boolean,
	"test_explanation" character varying(1024),
	"reference" character varying(1024),
	Constraint "test_case_pk" Primary Key ("test_case_no")
);

--
-- TOC Entry ID 23 (OID 588349)
--
-- Name: test_case Type: ACL Owner: 
--

REVOKE ALL on "test_case" from PUBLIC;
GRANT ALL on "test_case" to PUBLIC;
GRANT ALL on "test_case" to "postgres";

--
-- TOC Entry ID 24 (OID 588355)
--
-- Name: test_result Type: TABLE Owner: postgres
--

CREATE TABLE "test_result" (
	"test_result_no" numeric(4,0) NOT NULL,
	"test_category_id" numeric(2,0),
	"test_object_id" numeric(3,0),
	"test_start_time" integer,
	"test_end_time" integer,
	"test_time" integer,
	"test_case_num" numeric(4,0),
	"true_num" numeric(4,0),
	"false_num" numeric(4,0),
	"test_comment" character varying(1024),
	Constraint "test_result_pk" Primary Key ("test_result_no")
);

--
-- TOC Entry ID 25 (OID 588355)
--
-- Name: test_result Type: ACL Owner: 
--

REVOKE ALL on "test_result" from PUBLIC;
GRANT ALL on "test_result" to PUBLIC;
GRANT ALL on "test_result" to "postgres";

--
-- TOC Entry ID 26 (OID 588361)
--
-- Name: test_result_detail Type: TABLE Owner: postgres
--

CREATE TABLE "test_result_detail" (
	"test_result_no" numeric(4,0) NOT NULL,
	"test_case_no" numeric(9,0) NOT NULL,
	"test_result" numeric(8,0),
	"test_result_output" text,
	"test_determi" numeric(1,0),
	Constraint "test_result_detail_no_pk" Primary Key ("test_result_no", "test_case_no")
);

--
-- TOC Entry ID 27 (OID 588361)
--
-- Name: test_result_detail Type: ACL Owner: 
--

REVOKE ALL on "test_result_detail" from PUBLIC;
GRANT ALL on "test_result_detail" to PUBLIC;
GRANT ALL on "test_result_detail" to "postgres";

--
-- TOC Entry ID 28 (OID 601259)
--
-- Name: "keypair_private_key_key" Type: INDEX Owner: postgres
--

CREATE UNIQUE INDEX keypair_private_key_key ON keypair USING btree (private_key);

--
-- TOC Entry ID 29 (OID 601260)
--
-- Name: "keypair_public_key_key" Type: INDEX Owner: postgres
--

CREATE UNIQUE INDEX keypair_public_key_key ON keypair USING btree (public_key);

--
-- TOC Entry ID 58 (OID 601262)
--
-- Name: "RI_ConstraintTrigger_601261" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_sign_key_fk" AFTER INSERT OR UPDATE ON "cert"  FROM "keypair" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('cert_sign_key_fk', 'cert', 'keypair', 'UNSPECIFIED', 'sign_key', 'keypair_no');

--
-- TOC Entry ID 30 (OID 601264)
--
-- Name: "RI_ConstraintTrigger_601263" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_sign_key_fk" AFTER DELETE ON "keypair"  FROM "cert" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('cert_sign_key_fk', 'cert', 'keypair', 'UNSPECIFIED', 'sign_key', 'keypair_no');

--
-- TOC Entry ID 31 (OID 601266)
--
-- Name: "RI_ConstraintTrigger_601265" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_sign_key_fk" AFTER UPDATE ON "keypair"  FROM "cert" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('cert_sign_key_fk', 'cert', 'keypair', 'UNSPECIFIED', 'sign_key', 'keypair_no');

--
-- TOC Entry ID 59 (OID 601268)
--
-- Name: "RI_ConstraintTrigger_601267" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_pub_key_fk" AFTER INSERT OR UPDATE ON "cert"  FROM "keypair" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('cert_pub_key_fk', 'cert', 'keypair', 'UNSPECIFIED', 'pub_key', 'keypair_no');

--
-- TOC Entry ID 32 (OID 601270)
--
-- Name: "RI_ConstraintTrigger_601269" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_pub_key_fk" AFTER DELETE ON "keypair"  FROM "cert" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('cert_pub_key_fk', 'cert', 'keypair', 'UNSPECIFIED', 'pub_key', 'keypair_no');

--
-- TOC Entry ID 33 (OID 601272)
--
-- Name: "RI_ConstraintTrigger_601271" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_pub_key_fk" AFTER UPDATE ON "keypair"  FROM "cert" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('cert_pub_key_fk', 'cert', 'keypair', 'UNSPECIFIED', 'pub_key', 'keypair_no');

--
-- TOC Entry ID 74 (OID 601274)
--
-- Name: "RI_ConstraintTrigger_601273" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_value_cert_no_fk" AFTER INSERT OR UPDATE ON "cert_value"  FROM "cert" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('cert_value_cert_no_fk', 'cert_value', 'cert', 'UNSPECIFIED', 'cert_no', 'cert_no');

--
-- TOC Entry ID 60 (OID 601276)
--
-- Name: "RI_ConstraintTrigger_601275" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_value_cert_no_fk" AFTER DELETE ON "cert"  FROM "cert_value" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('cert_value_cert_no_fk', 'cert_value', 'cert', 'UNSPECIFIED', 'cert_no', 'cert_no');

--
-- TOC Entry ID 61 (OID 601278)
--
-- Name: "RI_ConstraintTrigger_601277" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_value_cert_no_fk" AFTER UPDATE ON "cert"  FROM "cert_value" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('cert_value_cert_no_fk', 'cert_value', 'cert', 'UNSPECIFIED', 'cert_no', 'cert_no');

--
-- TOC Entry ID 76 (OID 601280)
--
-- Name: "RI_ConstraintTrigger_601279" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "crl_sign_key_fk" AFTER INSERT OR UPDATE ON "crl"  FROM "keypair" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('crl_sign_key_fk', 'crl', 'keypair', 'UNSPECIFIED', 'sign_key', 'keypair_no');

--
-- TOC Entry ID 34 (OID 601282)
--
-- Name: "RI_ConstraintTrigger_601281" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "crl_sign_key_fk" AFTER DELETE ON "keypair"  FROM "crl" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('crl_sign_key_fk', 'crl', 'keypair', 'UNSPECIFIED', 'sign_key', 'keypair_no');

--
-- TOC Entry ID 35 (OID 601284)
--
-- Name: "RI_ConstraintTrigger_601283" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "crl_sign_key_fk" AFTER UPDATE ON "keypair"  FROM "crl" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('crl_sign_key_fk', 'crl', 'keypair', 'UNSPECIFIED', 'sign_key', 'keypair_no');

--
-- TOC Entry ID 86 (OID 601286)
--
-- Name: "RI_ConstraintTrigger_601285" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "crl_value_crl_no_fk" AFTER INSERT OR UPDATE ON "crl_value"  FROM "crl" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('crl_value_crl_no_fk', 'crl_value', 'crl', 'UNSPECIFIED', 'crl_no', 'crl_no');

--
-- TOC Entry ID 77 (OID 601288)
--
-- Name: "RI_ConstraintTrigger_601287" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "crl_value_crl_no_fk" AFTER DELETE ON "crl"  FROM "crl_value" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('crl_value_crl_no_fk', 'crl_value', 'crl', 'UNSPECIFIED', 'crl_no', 'crl_no');

--
-- TOC Entry ID 78 (OID 601290)
--
-- Name: "RI_ConstraintTrigger_601289" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "crl_value_crl_no_fk" AFTER UPDATE ON "crl"  FROM "crl_value" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('crl_value_crl_no_fk', 'crl_value', 'crl', 'UNSPECIFIED', 'crl_no', 'crl_no');

--
-- TOC Entry ID 88 (OID 601292)
--
-- Name: "RI_ConstraintTrigger_601291" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "ocsp_sign_key_fk" AFTER INSERT OR UPDATE ON "ocsp"  FROM "keypair" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('ocsp_sign_key_fk', 'ocsp', 'keypair', 'UNSPECIFIED', 'sign_key', 'keypair_no');

--
-- TOC Entry ID 36 (OID 601294)
--
-- Name: "RI_ConstraintTrigger_601293" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "ocsp_sign_key_fk" AFTER DELETE ON "keypair"  FROM "ocsp" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('ocsp_sign_key_fk', 'ocsp', 'keypair', 'UNSPECIFIED', 'sign_key', 'keypair_no');

--
-- TOC Entry ID 37 (OID 601296)
--
-- Name: "RI_ConstraintTrigger_601295" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "ocsp_sign_key_fk" AFTER UPDATE ON "keypair"  FROM "ocsp" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('ocsp_sign_key_fk', 'ocsp', 'keypair', 'UNSPECIFIED', 'sign_key', 'keypair_no');

--
-- TOC Entry ID 89 (OID 601298)
--
-- Name: "RI_ConstraintTrigger_601297" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "ocsp_ocsp_cert_fk" AFTER INSERT OR UPDATE ON "ocsp"  FROM "cert" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('ocsp_ocsp_cert_fk', 'ocsp', 'cert', 'UNSPECIFIED', 'ocsp_cert', 'cert_no');

--
-- TOC Entry ID 62 (OID 601300)
--
-- Name: "RI_ConstraintTrigger_601299" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "ocsp_ocsp_cert_fk" AFTER DELETE ON "cert"  FROM "ocsp" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('ocsp_ocsp_cert_fk', 'ocsp', 'cert', 'UNSPECIFIED', 'ocsp_cert', 'cert_no');

--
-- TOC Entry ID 63 (OID 601302)
--
-- Name: "RI_ConstraintTrigger_601301" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "ocsp_ocsp_cert_fk" AFTER UPDATE ON "cert"  FROM "ocsp" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('ocsp_ocsp_cert_fk', 'ocsp', 'cert', 'UNSPECIFIED', 'ocsp_cert', 'cert_no');

--
-- TOC Entry ID 100 (OID 601304)
--
-- Name: "RI_ConstraintTrigger_601303" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "ocsp_values_ocsp_no_fk" AFTER INSERT OR UPDATE ON "ocsp_value"  FROM "ocsp" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('ocsp_values_ocsp_no_fk', 'ocsp_value', 'ocsp', 'UNSPECIFIED', 'ocsp_no', 'ocsp_no');

--
-- TOC Entry ID 90 (OID 601306)
--
-- Name: "RI_ConstraintTrigger_601305" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "ocsp_values_ocsp_no_fk" AFTER DELETE ON "ocsp"  FROM "ocsp_value" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('ocsp_values_ocsp_no_fk', 'ocsp_value', 'ocsp', 'UNSPECIFIED', 'ocsp_no', 'ocsp_no');

--
-- TOC Entry ID 91 (OID 601308)
--
-- Name: "RI_ConstraintTrigger_601307" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "ocsp_values_ocsp_no_fk" AFTER UPDATE ON "ocsp"  FROM "ocsp_value" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('ocsp_values_ocsp_no_fk', 'ocsp_value', 'ocsp', 'UNSPECIFIED', 'ocsp_no', 'ocsp_no');

--
-- TOC Entry ID 102 (OID 601310)
--
-- Name: "RI_ConstraintTrigger_601309" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_path_cert_no_fk" AFTER INSERT OR UPDATE ON "cert_path"  FROM "cert" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('cert_path_cert_no_fk', 'cert_path', 'cert', 'UNSPECIFIED', 'cert_no', 'cert_no');

--
-- TOC Entry ID 64 (OID 601312)
--
-- Name: "RI_ConstraintTrigger_601311" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_path_cert_no_fk" AFTER DELETE ON "cert"  FROM "cert_path" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('cert_path_cert_no_fk', 'cert_path', 'cert', 'UNSPECIFIED', 'cert_no', 'cert_no');

--
-- TOC Entry ID 65 (OID 601314)
--
-- Name: "RI_ConstraintTrigger_601313" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_path_cert_no_fk" AFTER UPDATE ON "cert"  FROM "cert_path" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('cert_path_cert_no_fk', 'cert_path', 'cert', 'UNSPECIFIED', 'cert_no', 'cert_no');

--
-- TOC Entry ID 103 (OID 601316)
--
-- Name: "RI_ConstraintTrigger_601315" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_path_crl_no_fk" AFTER INSERT OR UPDATE ON "cert_path"  FROM "crl" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('cert_path_crl_no_fk', 'cert_path', 'crl', 'UNSPECIFIED', 'crl_no', 'crl_no');

--
-- TOC Entry ID 79 (OID 601318)
--
-- Name: "RI_ConstraintTrigger_601317" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_path_crl_no_fk" AFTER DELETE ON "crl"  FROM "cert_path" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('cert_path_crl_no_fk', 'cert_path', 'crl', 'UNSPECIFIED', 'crl_no', 'crl_no');

--
-- TOC Entry ID 80 (OID 601320)
--
-- Name: "RI_ConstraintTrigger_601319" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_path_crl_no_fk" AFTER UPDATE ON "crl"  FROM "cert_path" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('cert_path_crl_no_fk', 'cert_path', 'crl', 'UNSPECIFIED', 'crl_no', 'crl_no');

--
-- TOC Entry ID 104 (OID 601322)
--
-- Name: "RI_ConstraintTrigger_601321" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_path_ocsp_no_fk" AFTER INSERT OR UPDATE ON "cert_path"  FROM "ocsp" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('cert_path_ocsp_no_fk', 'cert_path', 'ocsp', 'UNSPECIFIED', 'ocsp_no', 'ocsp_no');

--
-- TOC Entry ID 92 (OID 601324)
--
-- Name: "RI_ConstraintTrigger_601323" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_path_ocsp_no_fk" AFTER DELETE ON "ocsp"  FROM "cert_path" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('cert_path_ocsp_no_fk', 'cert_path', 'ocsp', 'UNSPECIFIED', 'ocsp_no', 'ocsp_no');

--
-- TOC Entry ID 93 (OID 601326)
--
-- Name: "RI_ConstraintTrigger_601325" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_path_ocsp_no_fk" AFTER UPDATE ON "ocsp"  FROM "cert_path" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('cert_path_ocsp_no_fk', 'cert_path', 'ocsp', 'UNSPECIFIED', 'ocsp_no', 'ocsp_no');

--
-- TOC Entry ID 108 (OID 601328)
--
-- Name: "RI_ConstraintTrigger_601327" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_case_test_category_id_fk" AFTER INSERT OR UPDATE ON "test_case"  FROM "test_category" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('test_case_test_category_id_fk', 'test_case', 'test_category', 'UNSPECIFIED', 'test_category_id', 'test_category_id');

--
-- TOC Entry ID 46 (OID 601330)
--
-- Name: "RI_ConstraintTrigger_601329" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_case_test_category_id_fk" AFTER DELETE ON "test_category"  FROM "test_case" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('test_case_test_category_id_fk', 'test_case', 'test_category', 'UNSPECIFIED', 'test_category_id', 'test_category_id');

--
-- TOC Entry ID 47 (OID 601332)
--
-- Name: "RI_ConstraintTrigger_601331" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_case_test_category_id_fk" AFTER UPDATE ON "test_category"  FROM "test_case" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('test_case_test_category_id_fk', 'test_case', 'test_category', 'UNSPECIFIED', 'test_category_id', 'test_category_id');

--
-- TOC Entry ID 114 (OID 601334)
--
-- Name: "RI_ConstraintTrigger_601333" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_test_category_id_fk" AFTER INSERT OR UPDATE ON "test_result"  FROM "test_category" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('test_result_test_category_id_fk', 'test_result', 'test_category', 'UNSPECIFIED', 'test_category_id', 'test_category_id');

--
-- TOC Entry ID 48 (OID 601336)
--
-- Name: "RI_ConstraintTrigger_601335" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_test_category_id_fk" AFTER DELETE ON "test_category"  FROM "test_result" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('test_result_test_category_id_fk', 'test_result', 'test_category', 'UNSPECIFIED', 'test_category_id', 'test_category_id');

--
-- TOC Entry ID 49 (OID 601338)
--
-- Name: "RI_ConstraintTrigger_601337" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_test_category_id_fk" AFTER UPDATE ON "test_category"  FROM "test_result" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('test_result_test_category_id_fk', 'test_result', 'test_category', 'UNSPECIFIED', 'test_category_id', 'test_category_id');

--
-- TOC Entry ID 115 (OID 601340)
--
-- Name: "RI_ConstraintTrigger_601339" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_test_object_id_fk" AFTER INSERT OR UPDATE ON "test_result"  FROM "test_object" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('test_result_test_object_id_fk', 'test_result', 'test_object', 'UNSPECIFIED', 'test_object_id', 'test_object_id');

--
-- TOC Entry ID 54 (OID 601342)
--
-- Name: "RI_ConstraintTrigger_601341" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_test_object_id_fk" AFTER DELETE ON "test_object"  FROM "test_result" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('test_result_test_object_id_fk', 'test_result', 'test_object', 'UNSPECIFIED', 'test_object_id', 'test_object_id');

--
-- TOC Entry ID 55 (OID 601344)
--
-- Name: "RI_ConstraintTrigger_601343" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_test_object_id_fk" AFTER UPDATE ON "test_object"  FROM "test_result" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('test_result_test_object_id_fk', 'test_result', 'test_object', 'UNSPECIFIED', 'test_object_id', 'test_object_id');

--
-- TOC Entry ID 122 (OID 601346)
--
-- Name: "RI_ConstraintTrigger_601345" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_detail_test_result_" AFTER INSERT OR UPDATE ON "test_result_detail"  FROM "test_result" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('test_result_detail_test_result_', 'test_result_detail', 'test_result', 'UNSPECIFIED', 'test_result_no', 'test_result_no');

--
-- TOC Entry ID 116 (OID 601348)
--
-- Name: "RI_ConstraintTrigger_601347" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_detail_test_result_" AFTER DELETE ON "test_result"  FROM "test_result_detail" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('test_result_detail_test_result_', 'test_result_detail', 'test_result', 'UNSPECIFIED', 'test_result_no', 'test_result_no');

--
-- TOC Entry ID 117 (OID 601350)
--
-- Name: "RI_ConstraintTrigger_601349" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_detail_test_result_" AFTER UPDATE ON "test_result"  FROM "test_result_detail" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('test_result_detail_test_result_', 'test_result_detail', 'test_result', 'UNSPECIFIED', 'test_result_no', 'test_result_no');

--
-- TOC Entry ID 123 (OID 601352)
--
-- Name: "RI_ConstraintTrigger_601351" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_detail_test_case_no" AFTER INSERT OR UPDATE ON "test_result_detail"  FROM "test_case" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('test_result_detail_test_case_no', 'test_result_detail', 'test_case', 'UNSPECIFIED', 'test_case_no', 'test_case_no');

--
-- TOC Entry ID 109 (OID 601354)
--
-- Name: "RI_ConstraintTrigger_601353" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_detail_test_case_no" AFTER DELETE ON "test_case"  FROM "test_result_detail" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('test_result_detail_test_case_no', 'test_result_detail', 'test_case', 'UNSPECIFIED', 'test_case_no', 'test_case_no');

--
-- TOC Entry ID 110 (OID 601356)
--
-- Name: "RI_ConstraintTrigger_601355" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_detail_test_case_no" AFTER UPDATE ON "test_case"  FROM "test_result_detail" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('test_result_detail_test_case_no', 'test_result_detail', 'test_case', 'UNSPECIFIED', 'test_case_no', 'test_case_no');

--
-- TOC Entry ID 66 (OID 601358)
--
-- Name: "RI_ConstraintTrigger_601357" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_sign_key_fk" AFTER INSERT OR UPDATE ON "cert"  FROM "keypair" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('cert_sign_key_fk', 'cert', 'keypair', 'UNSPECIFIED', 'sign_key', 'keypair_no');

--
-- TOC Entry ID 38 (OID 601360)
--
-- Name: "RI_ConstraintTrigger_601359" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_sign_key_fk" AFTER DELETE ON "keypair"  FROM "cert" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('cert_sign_key_fk', 'cert', 'keypair', 'UNSPECIFIED', 'sign_key', 'keypair_no');

--
-- TOC Entry ID 39 (OID 601362)
--
-- Name: "RI_ConstraintTrigger_601361" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_sign_key_fk" AFTER UPDATE ON "keypair"  FROM "cert" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('cert_sign_key_fk', 'cert', 'keypair', 'UNSPECIFIED', 'sign_key', 'keypair_no');

--
-- TOC Entry ID 67 (OID 601364)
--
-- Name: "RI_ConstraintTrigger_601363" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_pub_key_fk" AFTER INSERT OR UPDATE ON "cert"  FROM "keypair" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('cert_pub_key_fk', 'cert', 'keypair', 'UNSPECIFIED', 'pub_key', 'keypair_no');

--
-- TOC Entry ID 40 (OID 601366)
--
-- Name: "RI_ConstraintTrigger_601365" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_pub_key_fk" AFTER DELETE ON "keypair"  FROM "cert" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('cert_pub_key_fk', 'cert', 'keypair', 'UNSPECIFIED', 'pub_key', 'keypair_no');

--
-- TOC Entry ID 41 (OID 601368)
--
-- Name: "RI_ConstraintTrigger_601367" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_pub_key_fk" AFTER UPDATE ON "keypair"  FROM "cert" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('cert_pub_key_fk', 'cert', 'keypair', 'UNSPECIFIED', 'pub_key', 'keypair_no');

--
-- TOC Entry ID 75 (OID 601370)
--
-- Name: "RI_ConstraintTrigger_601369" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_value_cert_no_fk" AFTER INSERT OR UPDATE ON "cert_value"  FROM "cert" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('cert_value_cert_no_fk', 'cert_value', 'cert', 'UNSPECIFIED', 'cert_no', 'cert_no');

--
-- TOC Entry ID 68 (OID 601372)
--
-- Name: "RI_ConstraintTrigger_601371" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_value_cert_no_fk" AFTER DELETE ON "cert"  FROM "cert_value" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('cert_value_cert_no_fk', 'cert_value', 'cert', 'UNSPECIFIED', 'cert_no', 'cert_no');

--
-- TOC Entry ID 69 (OID 601374)
--
-- Name: "RI_ConstraintTrigger_601373" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_value_cert_no_fk" AFTER UPDATE ON "cert"  FROM "cert_value" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('cert_value_cert_no_fk', 'cert_value', 'cert', 'UNSPECIFIED', 'cert_no', 'cert_no');

--
-- TOC Entry ID 81 (OID 601376)
--
-- Name: "RI_ConstraintTrigger_601375" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "crl_sign_key_fk" AFTER INSERT OR UPDATE ON "crl"  FROM "keypair" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('crl_sign_key_fk', 'crl', 'keypair', 'UNSPECIFIED', 'sign_key', 'keypair_no');

--
-- TOC Entry ID 42 (OID 601378)
--
-- Name: "RI_ConstraintTrigger_601377" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "crl_sign_key_fk" AFTER DELETE ON "keypair"  FROM "crl" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('crl_sign_key_fk', 'crl', 'keypair', 'UNSPECIFIED', 'sign_key', 'keypair_no');

--
-- TOC Entry ID 43 (OID 601380)
--
-- Name: "RI_ConstraintTrigger_601379" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "crl_sign_key_fk" AFTER UPDATE ON "keypair"  FROM "crl" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('crl_sign_key_fk', 'crl', 'keypair', 'UNSPECIFIED', 'sign_key', 'keypair_no');

--
-- TOC Entry ID 87 (OID 601382)
--
-- Name: "RI_ConstraintTrigger_601381" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "crl_value_crl_no_fk" AFTER INSERT OR UPDATE ON "crl_value"  FROM "crl" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('crl_value_crl_no_fk', 'crl_value', 'crl', 'UNSPECIFIED', 'crl_no', 'crl_no');

--
-- TOC Entry ID 82 (OID 601384)
--
-- Name: "RI_ConstraintTrigger_601383" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "crl_value_crl_no_fk" AFTER DELETE ON "crl"  FROM "crl_value" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('crl_value_crl_no_fk', 'crl_value', 'crl', 'UNSPECIFIED', 'crl_no', 'crl_no');

--
-- TOC Entry ID 83 (OID 601386)
--
-- Name: "RI_ConstraintTrigger_601385" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "crl_value_crl_no_fk" AFTER UPDATE ON "crl"  FROM "crl_value" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('crl_value_crl_no_fk', 'crl_value', 'crl', 'UNSPECIFIED', 'crl_no', 'crl_no');

--
-- TOC Entry ID 94 (OID 601388)
--
-- Name: "RI_ConstraintTrigger_601387" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "ocsp_sign_key_fk" AFTER INSERT OR UPDATE ON "ocsp"  FROM "keypair" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('ocsp_sign_key_fk', 'ocsp', 'keypair', 'UNSPECIFIED', 'sign_key', 'keypair_no');

--
-- TOC Entry ID 44 (OID 601390)
--
-- Name: "RI_ConstraintTrigger_601389" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "ocsp_sign_key_fk" AFTER DELETE ON "keypair"  FROM "ocsp" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('ocsp_sign_key_fk', 'ocsp', 'keypair', 'UNSPECIFIED', 'sign_key', 'keypair_no');

--
-- TOC Entry ID 45 (OID 601392)
--
-- Name: "RI_ConstraintTrigger_601391" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "ocsp_sign_key_fk" AFTER UPDATE ON "keypair"  FROM "ocsp" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('ocsp_sign_key_fk', 'ocsp', 'keypair', 'UNSPECIFIED', 'sign_key', 'keypair_no');

--
-- TOC Entry ID 95 (OID 601394)
--
-- Name: "RI_ConstraintTrigger_601393" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "ocsp_ocsp_cert_fk" AFTER INSERT OR UPDATE ON "ocsp"  FROM "cert" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('ocsp_ocsp_cert_fk', 'ocsp', 'cert', 'UNSPECIFIED', 'ocsp_cert', 'cert_no');

--
-- TOC Entry ID 70 (OID 601396)
--
-- Name: "RI_ConstraintTrigger_601395" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "ocsp_ocsp_cert_fk" AFTER DELETE ON "cert"  FROM "ocsp" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('ocsp_ocsp_cert_fk', 'ocsp', 'cert', 'UNSPECIFIED', 'ocsp_cert', 'cert_no');

--
-- TOC Entry ID 71 (OID 601398)
--
-- Name: "RI_ConstraintTrigger_601397" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "ocsp_ocsp_cert_fk" AFTER UPDATE ON "cert"  FROM "ocsp" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('ocsp_ocsp_cert_fk', 'ocsp', 'cert', 'UNSPECIFIED', 'ocsp_cert', 'cert_no');

--
-- TOC Entry ID 101 (OID 601400)
--
-- Name: "RI_ConstraintTrigger_601399" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "ocsp_values_ocsp_no_fk" AFTER INSERT OR UPDATE ON "ocsp_value"  FROM "ocsp" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('ocsp_values_ocsp_no_fk', 'ocsp_value', 'ocsp', 'UNSPECIFIED', 'ocsp_no', 'ocsp_no');

--
-- TOC Entry ID 96 (OID 601402)
--
-- Name: "RI_ConstraintTrigger_601401" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "ocsp_values_ocsp_no_fk" AFTER DELETE ON "ocsp"  FROM "ocsp_value" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('ocsp_values_ocsp_no_fk', 'ocsp_value', 'ocsp', 'UNSPECIFIED', 'ocsp_no', 'ocsp_no');

--
-- TOC Entry ID 97 (OID 601404)
--
-- Name: "RI_ConstraintTrigger_601403" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "ocsp_values_ocsp_no_fk" AFTER UPDATE ON "ocsp"  FROM "ocsp_value" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('ocsp_values_ocsp_no_fk', 'ocsp_value', 'ocsp', 'UNSPECIFIED', 'ocsp_no', 'ocsp_no');

--
-- TOC Entry ID 105 (OID 601406)
--
-- Name: "RI_ConstraintTrigger_601405" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_path_cert_no_fk" AFTER INSERT OR UPDATE ON "cert_path"  FROM "cert" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('cert_path_cert_no_fk', 'cert_path', 'cert', 'UNSPECIFIED', 'cert_no', 'cert_no');

--
-- TOC Entry ID 72 (OID 601408)
--
-- Name: "RI_ConstraintTrigger_601407" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_path_cert_no_fk" AFTER DELETE ON "cert"  FROM "cert_path" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('cert_path_cert_no_fk', 'cert_path', 'cert', 'UNSPECIFIED', 'cert_no', 'cert_no');

--
-- TOC Entry ID 73 (OID 601410)
--
-- Name: "RI_ConstraintTrigger_601409" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_path_cert_no_fk" AFTER UPDATE ON "cert"  FROM "cert_path" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('cert_path_cert_no_fk', 'cert_path', 'cert', 'UNSPECIFIED', 'cert_no', 'cert_no');

--
-- TOC Entry ID 106 (OID 601412)
--
-- Name: "RI_ConstraintTrigger_601411" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_path_crl_no_fk" AFTER INSERT OR UPDATE ON "cert_path"  FROM "crl" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('cert_path_crl_no_fk', 'cert_path', 'crl', 'UNSPECIFIED', 'crl_no', 'crl_no');

--
-- TOC Entry ID 84 (OID 601414)
--
-- Name: "RI_ConstraintTrigger_601413" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_path_crl_no_fk" AFTER DELETE ON "crl"  FROM "cert_path" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('cert_path_crl_no_fk', 'cert_path', 'crl', 'UNSPECIFIED', 'crl_no', 'crl_no');

--
-- TOC Entry ID 85 (OID 601416)
--
-- Name: "RI_ConstraintTrigger_601415" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_path_crl_no_fk" AFTER UPDATE ON "crl"  FROM "cert_path" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('cert_path_crl_no_fk', 'cert_path', 'crl', 'UNSPECIFIED', 'crl_no', 'crl_no');

--
-- TOC Entry ID 107 (OID 601418)
--
-- Name: "RI_ConstraintTrigger_601417" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_path_ocsp_no_fk" AFTER INSERT OR UPDATE ON "cert_path"  FROM "ocsp" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('cert_path_ocsp_no_fk', 'cert_path', 'ocsp', 'UNSPECIFIED', 'ocsp_no', 'ocsp_no');

--
-- TOC Entry ID 98 (OID 601420)
--
-- Name: "RI_ConstraintTrigger_601419" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_path_ocsp_no_fk" AFTER DELETE ON "ocsp"  FROM "cert_path" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('cert_path_ocsp_no_fk', 'cert_path', 'ocsp', 'UNSPECIFIED', 'ocsp_no', 'ocsp_no');

--
-- TOC Entry ID 99 (OID 601422)
--
-- Name: "RI_ConstraintTrigger_601421" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "cert_path_ocsp_no_fk" AFTER UPDATE ON "ocsp"  FROM "cert_path" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('cert_path_ocsp_no_fk', 'cert_path', 'ocsp', 'UNSPECIFIED', 'ocsp_no', 'ocsp_no');

--
-- TOC Entry ID 111 (OID 601424)
--
-- Name: "RI_ConstraintTrigger_601423" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_case_test_category_id_fk" AFTER INSERT OR UPDATE ON "test_case"  FROM "test_category" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('test_case_test_category_id_fk', 'test_case', 'test_category', 'UNSPECIFIED', 'test_category_id', 'test_category_id');

--
-- TOC Entry ID 50 (OID 601426)
--
-- Name: "RI_ConstraintTrigger_601425" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_case_test_category_id_fk" AFTER DELETE ON "test_category"  FROM "test_case" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('test_case_test_category_id_fk', 'test_case', 'test_category', 'UNSPECIFIED', 'test_category_id', 'test_category_id');

--
-- TOC Entry ID 51 (OID 601428)
--
-- Name: "RI_ConstraintTrigger_601427" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_case_test_category_id_fk" AFTER UPDATE ON "test_category"  FROM "test_case" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('test_case_test_category_id_fk', 'test_case', 'test_category', 'UNSPECIFIED', 'test_category_id', 'test_category_id');

--
-- TOC Entry ID 118 (OID 601430)
--
-- Name: "RI_ConstraintTrigger_601429" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_test_category_id_fk" AFTER INSERT OR UPDATE ON "test_result"  FROM "test_category" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('test_result_test_category_id_fk', 'test_result', 'test_category', 'UNSPECIFIED', 'test_category_id', 'test_category_id');

--
-- TOC Entry ID 52 (OID 601432)
--
-- Name: "RI_ConstraintTrigger_601431" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_test_category_id_fk" AFTER DELETE ON "test_category"  FROM "test_result" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('test_result_test_category_id_fk', 'test_result', 'test_category', 'UNSPECIFIED', 'test_category_id', 'test_category_id');

--
-- TOC Entry ID 53 (OID 601434)
--
-- Name: "RI_ConstraintTrigger_601433" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_test_category_id_fk" AFTER UPDATE ON "test_category"  FROM "test_result" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('test_result_test_category_id_fk', 'test_result', 'test_category', 'UNSPECIFIED', 'test_category_id', 'test_category_id');

--
-- TOC Entry ID 119 (OID 601436)
--
-- Name: "RI_ConstraintTrigger_601435" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_test_object_id_fk" AFTER INSERT OR UPDATE ON "test_result"  FROM "test_object" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('test_result_test_object_id_fk', 'test_result', 'test_object', 'UNSPECIFIED', 'test_object_id', 'test_object_id');

--
-- TOC Entry ID 56 (OID 601438)
--
-- Name: "RI_ConstraintTrigger_601437" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_test_object_id_fk" AFTER DELETE ON "test_object"  FROM "test_result" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('test_result_test_object_id_fk', 'test_result', 'test_object', 'UNSPECIFIED', 'test_object_id', 'test_object_id');

--
-- TOC Entry ID 57 (OID 601440)
--
-- Name: "RI_ConstraintTrigger_601439" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_test_object_id_fk" AFTER UPDATE ON "test_object"  FROM "test_result" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('test_result_test_object_id_fk', 'test_result', 'test_object', 'UNSPECIFIED', 'test_object_id', 'test_object_id');

--
-- TOC Entry ID 124 (OID 601442)
--
-- Name: "RI_ConstraintTrigger_601441" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_detail_test_result_" AFTER INSERT OR UPDATE ON "test_result_detail"  FROM "test_result" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('test_result_detail_test_result_', 'test_result_detail', 'test_result', 'UNSPECIFIED', 'test_result_no', 'test_result_no');

--
-- TOC Entry ID 120 (OID 601444)
--
-- Name: "RI_ConstraintTrigger_601443" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_detail_test_result_" AFTER DELETE ON "test_result"  FROM "test_result_detail" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('test_result_detail_test_result_', 'test_result_detail', 'test_result', 'UNSPECIFIED', 'test_result_no', 'test_result_no');

--
-- TOC Entry ID 121 (OID 601446)
--
-- Name: "RI_ConstraintTrigger_601445" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_detail_test_result_" AFTER UPDATE ON "test_result"  FROM "test_result_detail" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('test_result_detail_test_result_', 'test_result_detail', 'test_result', 'UNSPECIFIED', 'test_result_no', 'test_result_no');

--
-- TOC Entry ID 125 (OID 601448)
--
-- Name: "RI_ConstraintTrigger_601447" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_detail_test_case_no" AFTER INSERT OR UPDATE ON "test_result_detail"  FROM "test_case" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('test_result_detail_test_case_no', 'test_result_detail', 'test_case', 'UNSPECIFIED', 'test_case_no', 'test_case_no');

--
-- TOC Entry ID 112 (OID 601450)
--
-- Name: "RI_ConstraintTrigger_601449" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_detail_test_case_no" AFTER DELETE ON "test_case"  FROM "test_result_detail" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('test_result_detail_test_case_no', 'test_result_detail', 'test_case', 'UNSPECIFIED', 'test_case_no', 'test_case_no');

--
-- TOC Entry ID 113 (OID 601452)
--
-- Name: "RI_ConstraintTrigger_601451" Type: TRIGGER Owner: postgres
--

CREATE CONSTRAINT TRIGGER "test_result_detail_test_case_no" AFTER UPDATE ON "test_case"  FROM "test_result_detail" NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('test_result_detail_test_case_no', 'test_result_detail', 'test_case', 'UNSPECIFIED', 'test_case_no', 'test_case_no');

