

CREATE TABLE "keypair" (
	"id" numeric(9,0) PRIMARY KEY,
	"crypto_method" numeric(1,0),
	"crypto_bit" numeric(4,0),
	"private_key" text,
	"public_key" text,
	"keyid" varchar(256),
	"keyid_sha1_64" varchar(256),
	"name" varchar(128),
	"keyword" varchar(256),
	"note" text
);

GRANT ALL on "keypair" to PUBLIC;

CREATE TABLE "test_category" (
	"id" numeric(9,0) PRIMARY KEY,
	"name" varchar(128),
	"keyword" varchar(256),
	"note" text
);

GRANT ALL on "test_category" to PUBLIC;

CREATE TABLE "test_target" (
	"id" numeric(3,0) PRIMARY KEY,
	"name" varchar(128),
	"keyword" varchar(256),
	"note" text
);

GRANT ALL on "test_target" to PUBLIC;

CREATE TABLE "cert" (
	"id" numeric(9,0) PRIMARY KEY,
	"base_id" numeric(9,0),
	"issuer_keypair" numeric(9,0),
	"subject_keypair" numeric(9,0),
	"hash_alg" numeric(2,0),
	"name" varchar(128),
	"keyword" varchar(256),
	"note" text
);

GRANT ALL on "cert" to PUBLIC;

CREATE TABLE "cert_value" (
	"id" numeric(9,0) NOT NULL,
	"name" varchar(128) NOT NULL,
	"seq_no" numeric(2,0) NOT NULL,
	"value" text,
	"is_critical" boolean,
	"is_ext" boolean
);

GRANT ALL on "cert_value" to PUBLIC;

CREATE TABLE "crl" (
	"id" numeric(9,0) PRIMARY KEY,
	"base_id" numeric(9,0),
	"issuer_keypair" numeric(9,0),
	"hash_alg" numeric(2,0),
	"name" varchar(128),
	"keyword" varchar(256),
	"note" text
);

GRANT ALL on "crl" to PUBLIC;

CREATE TABLE "crl_value" (
	"id" numeric(9,0) NOT NULL,
	"name" varchar(128) NOT NULL,
	"seq_no" numeric(2,0) NOT NULL,
	"value" text,
	"is_critical" boolean,
	"is_ext" boolean
);

GRANT ALL on "crl_value" to PUBLIC;

CREATE TABLE "ocsp" (
	"id" numeric(9,0) PRIMARY KEY,
	"base_id" numeric(9,0),
	"issuer_keypair" numeric(9,0),
	"ocsp_cert" numeric(9,0),
	"name" varchar(128),
	"keyword" varchar(256),
	"note" text
);

GRANT ALL on "ocsp" to PUBLIC;

CREATE TABLE "ocsp_value" (
	"id" numeric(9,0) NOT NULL,
	"name" varchar(128) NOT NULL,
	"seq_no" numeric(2,0) NOT NULL,
	"value" text,
	"is_critical" boolean,
	"is_ext" boolean
);

GRANT ALL on "ocsp_value" to PUBLIC;

CREATE TABLE "ccp" (
	"id" numeric(9,0) PRIMARY KEY,
	"issued_to" numeric(9,0),
	"issued_by" numeric(9,0),
	"name" varchar(128),
	"keyword" varchar(256),
	"note" text
);

GRANT ALL on "ccp" to PUBLIC;

CREATE TABLE "certpath" (
	"id" numeric(9,0) NOT NULL,
	"seq_no" numeric(2,0) NOT NULL,
	"cert_id" numeric(9,0),
	"crl_id" numeric(9,0),
	"ocsp_id" numeric(9,0)
);

GRANT ALL on "certpath" to PUBLIC;

CREATE TABLE "testcase" (
	"id" numeric(9,0) PRIMARY KEY,
	"test_case_code" varchar(256),
	"category_id" numeric(9,0),
	"level" numeric(2,0),
	"certpath_id" numeric(9,0),
	"exp_value" numeric(2,0),
	"init_policy_set" text,
	"init_policy_mapping_inhibit_flag" boolean,
	"init_explicit_policy_flag" boolean,
	"init_any_policy_inhibit_flag" boolean,
	"name" varchar(128),
	"keyword" varchar(256),
	"note" text
);

GRANT ALL on "testcase" to PUBLIC;

CREATE TABLE "test_result" (
	"id" numeric(9,0) PRIMARY KEY,
	"category_id" numeric(9,0),
	"target_id" numeric(3,0),
	"start_time" integer,
	"end_time" integer,
	"process_time" integer,
	"num_testcase" numeric(4,0),
	"num_true" numeric(4,0),
	"num_false" numeric(4,0),
	"name" varchar(128),
	"keyword" varchar(256),
	"note" text
);

GRANT ALL on "test_result" to PUBLIC;

CREATE TABLE "test_result_detail" (
	"test_result_id" numeric(9,0) NOT NULL,
	"testcase_id" numeric(9,0) NOT NULL,
	"exit_status" numeric(8,0),
	"standard_output" text,
	"result_status" numeric(1,0)
);

GRANT ALL on "test_result_detail" to PUBLIC;

CREATE TABLE "directory_entry" (
	"id" numeric(9,0) PRIMARY KEY,
	"dn" varchar(1024),
	"entry" text,
	"name" varchar(128),
	"keyword" varchar(256),
	"note" text
);

GRANT ALL on "directory_entry" to PUBLIC;

CREATE TABLE "directory_tree_entry" (
	"id" numeric(9,0) NOT NULL,
	"entry_id" numeric(9,0) NOT NULL
);

GRANT ALL on "directory_tree_entry" to PUBLIC;

CREATE TABLE "directory_tree" (
	"id" numeric(9,0) PRIMARY KEY,
	"host" varchar(512),
	"name" varchar(128),
	"keyword" varchar(256),
	"note" text
);

GRANT ALL on "directory_tree" to PUBLIC;

