/* crlgen.h */
/*
 * Copyright (C) 2002 IPA (?)
 *
 * All rights reserved.
 *
 */
#ifndef __CRLGEN_H__
#define __CRLGEN_H__
#include <time.h>
#include "ok_x509.h"

#define UNSET -1
#define NON_CRITICAL 0
#define CRITICAL 1
#define EXTENSION 1

#define __PRINTABLE_STRING_NOCHECK__

/* crlgen.c */
void options(int argc,char **argv);
void usage(void);
int get_sigalgo(Key *key, int hash);

/* crlkey.c */
Key *CRLG_get_prvkey(char *file);

/* crlconf.c */
CRL *CRLG_open_conf(char *file);
int CRLG_read_common(char *org, CRL *crl);
int CRLG_com_syntax(char *buf, CRL *crl);
int CRLG_rvk_syntax(char *buf, CRL *crl);

int CRLG_line2int(char *buf, char *tag, int type, int *ciritcal);
#define CRLG_line2int_base(buf,tag) CRLG_line2int((buf),(tag),0,NULL)
#define CRLG_line2int_ext(buf,tag,critical) CRLG_line2int((buf),(tag),EXTENSION,(critical))

int CRLG_line2bin(char *buf, char *tag, unsigned char *ret, int ret_max,int type,int *critical);
#define CRLG_line2bin_base(buf,tag,ret,ret_max) CRLG_line2bin((buf),(tag),(ret),(ret_max),0,NULL)
#define CRLG_line2bin_ext(buf,tag,ret,ret_max,critical) CRLG_line2bin((buf),(tag),(ret),(ret_max),EXTENSION,(critical))

char *CRLG_get_dn(char *buf, char *tag, CertDN *dn, int type, int *critical);
#define CRLG_get_dn_base(buf,tag,dn) CRLG_get_dn((buf),(tag),(dn),0,NULL)
#define CRLG_get_dn_ext(buf,tag,dn,critical) CRLG_get_dn((buf),(tag),(dn),EXTENSION,(critical))
int CRLG_get_time(char *buf, char *tag, struct tm *time);
int CRLG_UTC2stm(unsigned char *utc, struct tm *ctm);
int h_atoi(char *asc);
int h_atobin(char *asc,unsigned char *bin,int max);
int attchar2int(char *att);
int swap_dn(CertDN *dn);
char *strchr_nesc(char *in,char target);
void write_hex(unsigned char *in,int size,FILE *out);
int write_binary_file(char * filename,char * ret,int size);
void print_dn_all(CertDN *dn);

/* crlext.c */
int CRLG_read_ext(char *org, CRL *crl);
int CRLG_ext_syntax(char *buf, CRL *crl);
CertExt *CRLG_exAKI_syntax(char *buf, CRL *crl,int *status);
CertExt *CRLG_exIAN_syntax(char *buf, CRL *crl,int *status);
CertExt *CRLG_exIDP_syntax(char *buf, CRL *crl,int *status);
CertExt *CRLG_exPrv_syntax(char *in,CRL *crl);


CertExt *Extnew_crl_number_long_sn(unsigned char *long_sn);
ExtGenNames *ExtGN_set_url_list(char *in);

char *cnf_gets(char *buf);
int str2ip(char *str, unsigned char *bin);
char *get_critical(char *in,int *critical);

/* hmmm...AiCrypto doesn't have this one ;( */
CertExt *Extnew_authkey_id2(unsigned char *kid, int klen, CertDN *dn, unsigned char *serial, int slen);

/*tmp my define */
/* crlder.c */
int CRLG_CRL_DER_revoked(CRL *crl,unsigned char *ret,int *ret_len);
int CRLG_CRL_DER_data(CRL *crl,unsigned char *ret,int *ret_len);
unsigned char *CRLG_CRL_toDER(CRL *crl,Key *prv,unsigned char *buf,int *ret_len);
int CRLG_Cert_DER_time(struct tm *time,unsigned char *ret,int *ret_len);
unsigned char *str2binary(char *input,int *len);
char *str_mod(char *in,char *rem);
int char2i(int in);
char i2char(int in);

CertExt *Extnew_crl_issdistpt_printable_noCheck(ExtGenNames *distp,unsigned char *rflg,int bflg);
CertExt *Extnew_altname_printable_noCheck(int id, ExtGenNames *top);
unsigned char *ExtGN_toDER_printable_noCheck(ExtGenNames *top,unsigned char *buf,int *ret_len);
int ExtGN_DER_gname_printable_noCheck(ExtGenNames *now,unsigned char *ret,int *ret_len);
int Cert_DER_subject_printable_noCheck(CertDN *dn,unsigned char *ret,int *ret_len);
int ASN1_set_printable_noCheck(char *str,unsigned char *ret,int *ret_len);
#endif /* __CRLGEN_H__ */
