/* crlkey.c */
/*
 * Copyright (C) 2002 IPA (?)
 *
 * All rights reserved.
 *
 */
#include "aiconfig.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "ok_asn1.h"
#include "ok_x509.h"
#include "ok_pkcs.h"
#include "ok_pem.h"

#include "crlgen.h"
Key *CRLG_get_prvkey(char *file){
	unsigned char *der=NULL;
	Key *ret=NULL;

	if(!file) goto error;
	if(ret = (Key*)PEM_read_rsaprv(file)){
		/* read rsa private key */
	}else if(ret = (Key*)PEM_read_dsaprv(file)){
		/* read dsa private key */
	}else if(ret = (Key*)PEM_read_ecdsaprv(file)){
		/* read ecdsa private key */
	}else if(ret = (Key*)P8_read_file(file)){
		/* read pkcs8 file */
	}else if(ret = (Key*)P8enc_read_file(file)){
		/* read pkcs8 (encrypted) file */
	}else if(der = ASN1_read_der(file)){
		if(ret = (Key*)ASN1_read_rsaprv(der)){
			/* read rsa private key */
		}else if(ret = (Key*)ASN1_read_dsaprv(der)){
			/* read dsa private key */
		}else if(ret = (Key*)ASN1_read_ecdsaprv(der)){
			/* read ecdsa private key */
		}
		AIFREE(der); der=NULL;
	}

	return ret;
error:
	return NULL;
}
