#include<stdio.h>
#include"ok_x509.h"
#include"ext.h"

CertExt *set_CertExt(int extnID,int critical,int dlen,unsigned char *der){
  CertExt *ext=NULL;

  if((ext=(CertExt *)calloc(1,sizeof(CertExt)))==NULL)
    goto done;
  ext->extnID=extnID;
  ext->critical=critical;
  ext->dlen=dlen;
  ext->next=NULL;
  
  if((ext->der=(unsigned char *)calloc(dlen+1,sizeof(char)))==NULL)
    goto done;
  memcpy(ext->der,der,dlen);

  return ext;

 done:
  if(ext)free(ext);
  if(ext->der)free(ext->der);
  return NULL;
}

int add_CertExt(CertExt **ext,int extnID,int critical,int dlen,unsigned char *der){
  CertExt *top=*ext;
  CertExt *pre;

  if(*ext==NULL){
    if((*ext=set_CertExt(extnID,critical,dlen,der))==NULL){
      goto done;
    }
    return 0;
  }

  while(*ext!=NULL){
    pre=*ext;
    *ext=(*ext)->next;
  }
  if((pre->next=(CertExt *)set_CertExt(extnID,critical,dlen,der))==NULL)
    goto done;
  *ext=top;

  return 0;

 done:
  return -1;
}

int add_CertExt_int(CertExt **ext,int extnID,int critical,int value){
  unsigned char *der=NULL;
  int len,err=-1;

  if((der=(unsigned char *)calloc(MAX_LEN,sizeof(char)))==NULL)
    goto done;
  ASN1_set_integer(value,der,&len);
  if(add_CertExt(ext,extnID,critical,len,der))
    goto done;
  err=0;
 done:
  if(der)free(der);
  return err;
}
