#ifndef __OCSP_OPT_H__
#define __OCSP_OPT_H__

#include<stdio.h>
#include"ok_x509.h"
#include"opt.h"

#define BYNAME 1
#define BYKEY 2

/*--------------------------------
 File conf data
--------------------------------*/

typedef struct Ocsp_input_data{
  int rState;
  
  /* responderID */
  int rid_type;
  char rid_value[MAX_LEN];
  int rid_ctype;
  CertDN rid;

  char pAt[16];
  int inhash_type;
  CertDN inhash;
  unsigned char ikhash[64];
  int snum_type;
  char snum_value[64];
  int cState;
  char rTime[16];
  int rreason;
  char tup[16];
  char nup[16]; /* not use */
  
  /* singleExtensions */
  int nonce_type;
  int nonce_value;
  int oscode_type;
  int oscode_value;
  int cpstate_type;
  int cpstate_value;
  /*------------------------------------
    options
    ------------------------------------*/
  char rkey[MAX_LEN];
  char rcert[MAX_LEN];
  char resout[MAX_LEN];
  char nonce[MAX_LEN];
  char conf[MAX_LEN];
  char serial[MAX_LEN];
} OCSPOptions;

/* ocsp_opt.c */
char *DN_kind_check(char *line,int *dn_kind);
void ocsp_opt_init(OCSPOptions *opt);
void ocsp_opt_print(OCSPOptions *opt);
int ocsp_line_opt_check(char *line,OCSPOptions *opt);

#endif /* __OCSP_OPT_H__ */
