#ifndef __OPT_H__
#define __OPT_H__
#include "ok_x509.h"
#include "ok_x509ext.h"
#include "ok_uconv.h"
#include "ext.h"

#define TRUE   1
#define FALSE  0
#define ANYPOLICY 1
#define MAX_LEN 256
#define UNSET -1
#define DEC 10
#define HEX 16

/*----------------------------------------------
  Comment out this to disable PrintableString checking function.
  ---------------------------------------------*/
#define __PRINTABLE_STRING_NOCHECK__
/*----------------------------------------------
  Comment out this when you use original AiCrypto.
  ---------------------------------------------*/
#define __AICRYPTO_CAN_HANDLE_UID__

/* opt.c */
int line_comment_check(char *line);
int set_serial(char *in,char *ret,int *num_type);
int set_dn(char *in,CertDN *ret,int *ret_ctype);
void cert_dn_set(CertDN *dn,int dn_ctype,int dn_oid,char *dn_value);
int set_critical(char in);
void cert_dn_print(CertDN *dn);
unsigned char char2hex(char input);
unsigned char *str2hex(char *input,int *len);
int char2i(int in);
char i2char(int in);
char *str_mod(char *in,char *rem);
unsigned char *str2binary(char *input,int *len);
int str2tm(char *in,struct tm *stm);
int str2ip(char *str, unsigned char *bin);
char *strnrchr(char *in,int target,int n);

CertExt *Extnew_altname_printable_noCheck(int id, ExtGenNames *top);
CertExt *Extnew_crl_distpoint_printable_noCheck(ExtGenNames *distp,unsigned char *flg,ExtGenNames *issuer);
unsigned char *ExtGN_toDER_printable_noCheck(ExtGenNames *top,unsigned char *buf,int *ret_len);
int ExtGN_DER_gname_printable_noCheck(ExtGenNames *now,unsigned char *ret,int *ret_len);
int Cert_DER_subject_printable_noCheck(CertDN *dn,unsigned char *ret,int *ret_len);
int ASN1_set_printable_noCheck(char *str,unsigned char *ret,int *ret_len);

#endif /* __OPT_H__ */
