#include"ok_asn1.h"
#include "ocsp_opt.h"
#include "ocsp_req.h"

int ASN1_set_CertID(CertID *cid,unsigned char *ret,int *ret_len){
  unsigned char *top=ret;
  int len,tlen=0,err=-1,j;

  if(cid->hash_algo)ASN1_int_2object(cid->hash_algo,ret,&len);
  ASN1_set_sequence(len,top,&len);
  ret+=len;tlen+=len;
  if((cid->nhash==NULL)||(cid->khash==NULL)||(cid->snum==NULL))
    goto done;
  ASN1_set_octetstring(20,cid->nhash,ret,&len);
  ret+=len;tlen+=len;
  ASN1_set_octetstring(20,cid->khash,ret,&len);
  ret+=len;tlen+=len;
  ASN1_set_binary(ASN1_INTEGER,cid->snlen,cid->snum,ret,&len);
  ret+=len;tlen+=len;
  ASN1_set_sequence(tlen,top,ret_len);
  err = 0;
 done:
  if(err)fprintf(stderr,"err in set CertID\n");
  return err;
}

/*-----------------------------------------
  Get certext DER from cert extent
-----------------------------------------*/
int x509_DER_exts_ocsp(CertExt *top,unsigned char *ret,int *ret_len){
	unsigned char *cp,*sq;
	CertExt *ext;
	int	i,j,k;
  
	sq=ret; *ret_len=i=0;
	for(ext=top;ext!=NULL;ext=ext->next){
		if((ext->extnID<=0)&&(ext->objid==NULL))
			continue;

		cp=sq;
		if(ext->extnID>0){
		  if(ASN1_int_2object(ext->extnID,cp,&j)){
		    if(ASN1_int_2object_ocsp(ext->extnID,cp,&j)){
				continue;
		    }
		  }
			cp+=j;
		}else{
			j = ASN1_tlen(ext->objid) + 2;
			memcpy(cp,ext->objid,j);
			cp+=j;
		}

		if(ext->critical){
			ASN1_set_boolean(1,cp,&k);
			cp+=k; j+=k;
		}

		k=ext->dlen;
		ASN1_set_octetstring(k,ext->der,cp,&k);
		j+=k;

		ASN1_set_sequence(j,sq,&j);
		sq+=j; i+=j;
	}

	if(i) ASN1_set_sequence(i,ret,ret_len);
	return 0;
}
