#include "ocsp_opt.h"
#include "ocsp_req.h"

int estimate_dn_size(CertDN *dn){
  int ret=-1;
  int i,j;
  
  /* check dn size */
  for(i=j=0;i<RDN_MAX;i++){
    if(dn->rdn[i].tag)
      j+=strlen(dn->rdn[i].tag)+20;
  }
  ret=j+2; /* +2 is added for safety */ 
  
  return ret;
}

unsigned char *set_dn_hash(CertDN *dn){
  unsigned char *der;
  unsigned char *ret;
  int len,err=-1;

  if((der=(unsigned char *)calloc(estimate_dn_size(dn),sizeof(char)))==NULL)
    goto done;
  if((Cert_DER_subject(dn,der,&len))<0)
    goto done;
  if((ret=(unsigned char *)calloc(32,sizeof(char)))==NULL)
    goto done;
  memset(ret,'\0',32);
  OK_SHA1(len,der,ret);

  err=0;

 done:
  if(err)fprintf(stderr,"err in set_dn_hash\n");
  return ret;
}

