#include "ok_asn1.h"
#include"ocsp_opt.h"
#include "ocsp_req.h"

CertID *set_CertID(OCSPOptions *opt){
  CertID *cid=NULL;
  int len;

  if((cid=(CertID *)calloc(1,sizeof(CertID)))==NULL){
    goto done;
  }
  cid->hash_algo=OBJ_HASH_SHA1;
  cid->nhash=(unsigned char *)set_dn_hash(&(opt->inhash));
  cid->khash=(unsigned char *)str2hex(opt->ikhash,&len);
  switch(opt->snum_type){
  case DEC:

    cid->snum=str2binary(opt->snum_value,&len);
    cid->snlen=len;
    break;
  case HEX:
    cid->snum=str2hex(opt->snum_value,&len);
    cid->snlen=len;
    break;
  default:
    goto done;
  }
  return cid;
 done:
  if(cid)free(cid);
  return NULL;
}
