/* tool.c */

#include <stdio.h>
#include <ctype.h>

void dump(FILE *src, FILE *dst){
	int n;
	unsigned long count = 0;
	unsigned char buf[16];

	while((n = fread(buf,1,16,src)) > 0){
	  int i;
	  for(i = 0; i < n; i++){
	    fprintf(dst, "%02X ", (unsigned)buf[i]);
	  }
	  if(n < 16){
	    for(i = n;i < 16;i++)fputs("    ",dst);
	  }
	  count += 16;
	}
	fputc('\n', dst);
}

void dmp_stdout(char *fname){
  FILE *fp;
  if((fp = fopen(fname,"rb"))==NULL){
    fprintf(stderr,"can't open file\n");
  }else{
    dump(fp,stdout);
  }
}

int write_binary_file(char * filename,char * ret,int size){
  FILE *fp;
  if((fp=fopen(filename,"wb"))==NULL){
    fprintf(stderr,"can't open %s\n",filename);
    return(-1);
  }else{
    fwrite(ret,sizeof(char),size,fp);
    fclose(fp);
    return(0);
  }
}

void write_hex(unsigned char *in,int size,FILE *out){
  int i;
  if(in){
    for(i=0;i < size;i++){
      fprintf(out,"%02X ",in[i]);
    }
    printf("\n");
  }
}
