/*
 $Id: Config.h,v 1.1 2004/04/21 12:52:30 urushima Exp $
 */
#ifndef CONFIG_H_ROBOC__
#define CONFIG_H_ROBOC__

#include "r_asn1.h"
#include "util.h"
#include "TimeStamp.h"

//TSR
#define CONFIG_status							"TimeStampResp.status"
#define CONFIG_statusString						"PKIStatusInfo.statusString"
#define CONFIG_failInfo							"PKIStatusInfo.failInfo"

// TSTInfo
#define CONFIG_version							"TSTInfo.version"
#define CONFIG_policy							"TSTInfo.policy"
#define CONFIG_messageImprint_AUTO				"TSTInfo.messageImprint.AUTO"
#define CONFIG_messageImprint_hashAlgorithm		"TSTInfo.messageImprint.hashAlgorithm"
#define CONFIG_messageImprint_hashedMessage		"TSTInfo.messageImprint.hashedMessage"
#define CONFIG_serialNumber						"TSTInfo.serialNumber"
#define CONFIG_genTime							"TSTInfo.genTime"
#define CONFIG_accuracy							"TSTInfo.accuracy"
#define CONFIG_ordering							"TSTInfo.ordering"
#define CONFIG_nonce_AUTO						"TSTInfo.nonce.AUTO"
#define CONFIG_nonce							"TSTInfo.nonce"
#define CONFIG_tsa								"TSTInfo.tsa"
#define CONFIG_extensions						"TSTInfo.extensions"
#define CONFIG_TSTInfo_binary					"TSTInfo.binary"
#define CONFIG_SignedData_version				"SignedData.version"
#define CONFIG_contentType						"ContentInfo.contentType"
#define CONFIG_eContentType						"EncapsulatedContentInfo.eContentType"
#define CONFIG_signerInfoCount					"SignerInfo.count"
#define CONFIG_signatureTampered				"Signature.tampered"
#define CONFIG_excludeESSCertID					"Exclude.ESSCertID"

#define CONFIG_certHash							"ESSCertID.certHash"
#define CONFIG_issuer							"ESSCertID.issuerSerial.issuer"
#define CONFIG_issuerSerialNumber				"ESSCertID.issuerSerial.serialNumber"

typedef struct Config__{
  struct Config__ *next;
  char *name;
  char *value;
  char *buffer;
} Config;

Config* new_Config(char* fname);
char* get_Config(Config *conf, char* name);
void put_Config(Config *conf, char* name, char* value);
void free_Config(Config *conf);

int getInt_Config(Config *conf, char *tag);
int contains_Config(Config *conf, char *tag);
int isDirectoryName_Config(Config *conf, char *tag);
int isURI_Config(Config *conf, char *tag);

Integer *getInteger_Config(Config *conf, char *tag);
ObjectID *getObjectID_Config(Config *conf, char *tag);
OctetString *getOctetString_Config(Config *conf, char *tag);
GeneralizedTime *getGeneralizedTime_Config(Config *conf, char *tag);
Accuracy *getAccuracy_Config(Config *conf, char *tag);
DirectoryName *getDirectoryName_Config(Config *conf, char *tag);
char *getURI_Config(Config *conf, char *tag);
unsigned char *getUTF8String_Config(Config *conf, char *tag);
Extension **getExtensions_Config(Config *conf, char *tag);
BitString *getBitString_Config(Config *conf, char *tag);

unsigned char* getUnsignedChar_Config(Config *conf, char *tag);
int getBoolean_Config(Config *conf, char *tag);

#endif /* CONFIG_H_ROBOC__ */

