/*
 $Id: SignerInfo.c,v 1.1 2004/04/21 12:52:30 urushima Exp $
 */
#include "SignerInfo.h"
#include "string.h"
#include "ok_tool.h"

#ifdef NEVER
static void setIssuer(Config *conf, Cert *cert, unsigned char* buf, int *ret_len){
	int len = -1;
	if(contains_Config(conf, CONFIG_issuer)){
		if(isURI_Config(conf, CONFIG_issuer)){
			setURI(getURI_Config(conf, CONFIG_issuer), buf, &len);
		}else if(isDirectoryName_Config(conf, CONFIG_issuer)){
			setDirectoryName(getDirectoryName_Config(conf, CONFIG_issuer), buf, &len);
		}else{
			char msg[256];
			sprintf(msg, "issureSerial.issure format wrong:%s", get_Config(conf, CONFIG_issuer));
			die(msg);
		}
	}
	else{
		Cert_DER_subject(&(cert->subject_dn), buf ,&len);
		ASN1_set_explicit(len, 4, buf, &len);
	}
	ASN1_set_sequence(len, buf, &len);
	*ret_len = len;
}

static void setIssuerSerial(Config *conf, Cert *cert, unsigned char *buf, int *ret_len){
	int index, len;
	index = 0;

	setIssuer(conf, cert, buf, &len);
	index += len;
	
	if(contains_Config(conf, CONFIG_issuerSerialNumber)){
	  setInteger(getInteger_Config(conf, CONFIG_issuerSerialNumber)
		     , buf+index, &len);
	}
	else{
	  ASN1_set_integer(cert->serialNumber,buf+index,&len);
	}
	index += len;
	ASN1_set_sequence(index, buf, &len);
	*ret_len = len;
}
#endif

static void setESSCertID(Config *conf, Cert *cert, unsigned char *buf, int *ret_len){
	int len, index;
	index = 0;
	if(contains_Config(conf, CONFIG_certHash)){
		setOctetString(getOctetString_Config(conf, CONFIG_certHash), buf, &len);
	}
	else{
		unsigned char hash[20];
		int cert_len;
		cert_len = ASN1_length(cert->der + 1, &len);
		cert_len += len+1;
		OK_do_digest(OBJ_HASH_SHA1, cert->der, cert_len, hash, &len);
		ASN1_set_octetstring(len, hash, buf, &len);
	}
	index += len;

	/* BUG !!!
	setIssuerSerial(conf, cert, buf+index, &len);
	index += len;
	*/

	ASN1_set_sequence(index, buf, &len);
	*ret_len = len;
}

static void setSigningCertificate(Config *conf, Cert *cert, unsigned char *buf, int *ret_len){
	int index, len;
	index = 0;
	len = 0;

	// ESSCertID͕o^ł邪͈
	if(getBoolean_Config(conf, CONFIG_excludeESSCertID) != true){
	  setESSCertID(conf, cert, buf, &len);
	}
	ASN1_set_sequence(len, buf, &len);
	
	//SEQUENCE OF PolicyInformation (OPTIONAL)
	//͓Ȃ
	
	ASN1_set_sequence(len, buf, &len);
	*ret_len = len;
}

SignedAttribute *createSigningCertificateAttr_SignerInfo(Cert *cert, Config *conf){
	int index, len;
	unsigned char buf[256];
	SignedAttribute *result = NULL;

	index = 0;
	setObjectID(OID_ID_AA_SIGNINGCERTIFICATE, buf, &len);
	index += len;
	
	setSigningCertificate(conf, cert, buf+index, &len);
	ASN1_set_set(len, buf+index, &len);
	index += len;
	ASN1_set_sequence(index, buf, &len);
	
	result = (SignedAttribute *)P7_authatt_new();
	result->der = (unsigned char*)MALLOC(len);
	result->der_size = len;
	memcpy(result->der, buf, result->der_size);

	return result;
}






