/*
$Id: StringToken.c,v 1.1 2004/04/21 12:52:30 urushima Exp $
*/
#include "StringToken.h"
#include <string.h>

static char *skipSeparator(const char *source, char sep){
	char *c;
	c = (char *)source;
	while(*c == sep && *c != '\0')
		c++;
	if(*c == '\0'){
		c = NULL;
	}
	return c;
}

static char *padding(char *source, char sep){
	char *c;
	if((c = strchr(source, sep)) != NULL){
		*c = '\0';
	}
	return c;
}

int count_StringToken(const char *source, char separator){
	char *c1;
	int count;
	
	count = 0;
	if((c1 = skipSeparator(source, separator)) == NULL){
		return 0;
	}
	while((c1 = strchr(c1, separator)) != NULL){
		count ++;
		if((c1 = skipSeparator(c1, separator)) == NULL){
			return count;
		}
	}
	return ++count;
}

char *next_StringToken(const char *source, char *currentToken, char separator){
	char *buffer;
	char *c;
	if(currentToken == NULL){
		int len = strlen(source);
		char *b = (char *)malloc(sizeof(char) * (len + 2));
		b[len+1] = -1;
		strcpy(b, source);
		buffer = skipSeparator(b, separator);
		padding(buffer, separator);
		return buffer;
	}else{
		buffer = currentToken + strlen(currentToken);
		buffer ++;
		if(*buffer == -1){
			return NULL;
		}
		if((buffer = skipSeparator(buffer, separator)) == NULL){
			return NULL;
		}
	}
	if((c = strchr(buffer, separator)) == NULL){
		return buffer;
		//return NULL;
	}
	padding(c, separator);
	return buffer;
}

StringTokenList split_StringToken(const char *source, char sep){
	StringTokenList res;
	char * token;
	int i;
	token = NULL;
	res = (StringTokenList)malloc(sizeof(char *) * (count_StringToken(source, sep) + 1));
	i = 0;
	while((token = next_StringToken(source, token, sep)) != NULL){
		*(res+i++) = strdup(token);
	}
	*(res + i) = NULL;
	return res;
}

int length_StringToken(StringTokenList list){
	StringTokenList l;
	int i;
	if(list == NULL){
		return 0;
	}
	for(l = list, i = 0; *l != NULL; l ++, i ++)
		;
	return i;
}
