/*
$Id: TimeStampRequest.c,v 1.1 2004/04/21 12:52:30 urushima Exp $
*/

#include <stdio.h>
#include "util.h"
#include "r_asn1.h"
#include "TimeStampRequest.h"

TimeStampRequest *readFromFile_TimeStampRequest(char *fname){
//	FILE *fp;
	TimeStampRequest *result;
//	struct stat st;
	unsigned char *tmp_c;
	int index, mv, tmp_i;
	/*
	if(lstat(fname, &st) != 0){
		char msg[256];
		sprintf(msg, "file stat falid(%s)", fname);
		die(msg);
	}
	fp = fopen(fname, "r");
	if(fp == NULL){
		char msg[256];
		sprintf(msg, "file open falid(%s)", fname);
		die(msg);
	}
	 */
	result = (TimeStampRequest *)MALLOC(sizeof(TimeStampRequest));
	/*
	result->length = st.st_size;
	result->data = (unsigned char*)MALLOC(st.st_size);
	fread(result->data, st.st_size, 1, fp);
	fclose(fp);
	*/
	readFile(fname, (CORE *)result);

	// skip SEQUENCE TAG
	index = 1;
	ASN1_length(result->data+index, &mv);
	index += mv;
	
	// version
	ASN1_integer_(result->data+index, &mv, false);
	index += mv;

	// messageImprint
	result->pos_messageImprint = index;
	tmp_i = ASN1_length(result->data + index + 1, &mv);
	result->len_messageImprint = 1 + mv + tmp_i; // tag + len + data_len;
	index += result->len_messageImprint;

	// reqPolicy
	if((*(result->data + index) & 0x1f) == ASN1_OBJECT_IDENTIFIER){
		ASN1_object_id_(result->data + index, &mv, &tmp_c, &tmp_i, false);
		index += mv;
	}

	// nonce;
	result->pos_nonce = -1;
	result->len_nonce = -1;
	if((*(result->data +index) & 0x1f) == ASN1_INTEGER){
		result->pos_nonce = index;
		tmp_i = ASN1_length(result->data + index + 1, &mv);
		result->len_nonce = 1 + mv + tmp_i;
		index += result->len_nonce;
	}
	return result;
}
MessageImprint *getMessageImprint_TimeStampRequest(TimeStampRequest *request){
	MessageImprint *mi;
	mi = (MessageImprint *)MALLOC(sizeof(MessageImprint));
	mi->data = (request->data + request->pos_messageImprint);
	mi->length = request->len_messageImprint;
	return mi;
}
Nonce *getNonce_TimeStampRequest(TimeStampRequest *request){
	Nonce *nonce;
	if(request->pos_nonce == -1){
		return NULL;
	}
	nonce = (Nonce *)MALLOC(sizeof(Nonce));
	nonce->data = (request->data + request->pos_nonce);
	nonce->length = request->len_nonce;
	return nonce;
}
