/*
$Id: TimeStampResponse.c,v 1.1 2004/04/21 12:52:30 urushima Exp $
*/

#include <string.h>
#include "Config.h"
#include "TimeStampResponse.h"
#include "r_asn1.h"

TimeStampResponse *createTimeStampResponse(Config *conf, TimeStampToken *token){
	unsigned char *der_buffer;
	int index, len, size;
	TimeStampResponse *response;

	size = 1024;
	if(token != NULL){
	  size += token->length;
	}
	der_buffer = (unsigned char *)MALLOC(size);
	index = 0;
	
	// status
	setInteger(getInteger_Config(conf, CONFIG_status), der_buffer, &len);
	index += len;
	
	// PKIFreeText
	if(contains_Config(conf, CONFIG_statusString) == true){
		ASN1_set_utf8((char *)getUTF8String_Config(conf, CONFIG_statusString), der_buffer + index, &len);
		ASN1_set_sequence(len, der_buffer + index, &len);
		index += len;
	}
	
	// failInfo
	if(contains_Config(conf, CONFIG_failInfo) == true){
		setBitString(getBitString_Config(conf, CONFIG_failInfo), der_buffer + index, &len);
		index += len;
	}
	
	ASN1_set_sequence(index, der_buffer, &len);
	index = len;


	if(token != NULL){
	  memcpy(der_buffer + index, token->data, token->length);
	  index += token->length;
	}
	ASN1_set_sequence(index, der_buffer, &len);
	response = (TimeStampResponse *)MALLOC(sizeof(TimeStampResponse));
	response->data = der_buffer;
	response->length = len;
	return response;
}
