/*
$Id: TimeStampToken.c,v 1.1 2004/04/21 12:52:30 urushima Exp $
*/

#include "CPKI2003.h"
#include "TimeStampToken.h"
#include "ok_pem.h"
#include "ok_pkcs12.h"
#include "util.h"
#include "StringToken.h"

TimeStampToken *createTimeStampToken(Config *conf, TimeStampInfo *info
				     , char *tsaCertFile, char *tsaKeyFile
				     , StringTokenList certFiles
				     , StringTokenList keyFiles
				     , TimeStampRequest *request){
	TimeStampToken *token;
	StringTokenList l;
	PKCS7 *p7s;
	PKCS12 *p12;
	int len, i;
	Cert *cert;
	Key *key;
	Cert **signing_certificates;
	//	Key **signing_keys;


	p12 = P12_new();

	// add TSA cert
	// DEL
	cert = PEM_read_cert(tsaCertFile);
	if(cert == NULL){
		cert = ASN1_read_cert(ASN1_read_der(tsaCertFile));
	}
	P12_add_cert(p12, cert, "TSA Cert", 0xff);

	
	// add other cert
	signing_certificates = (Cert **)MALLOC(sizeof(Cert *) * (length_StringToken(certFiles) + 1));
	i = 0;
	l = certFiles;
	while(l != NULL && *l != NULL){
		cert = PEM_read_cert(*l);
		if(cert == NULL){
			cert = ASN1_read_cert(ASN1_read_der(*l));
		}
		signing_certificates[i++] = cert;
		P12_add_cert(p12, cert, *l, 0xff); // DEL
		l++;
	}
	signing_certificates[i] = NULL;

	// add TSA pkey
	// DEL
	key = P8_read_file(tsaKeyFile);
	if(key == NULL){
		key = (Key *)PEM_read_rsaprv(tsaKeyFile);
	}
	P12_add_key(p12, key, "TSA Key", 0xff);

	/*
	signing_keys = (Key **)MALLOC(sizeof(Key *) * (length_StringToken(keyFiles) + 1));
	i = 0;
	l = keyFiles;
	while(l != NULL && *l != NULL){
		key = P8_read_file(*l);
		if(key == NULL){
			key = (Key*)PEM_read_rsaprv(*l);
		}
		signing_keys[i++] = key;
		P12_add_key(p12, key, *l, 0xff); // DEL
		l++;
	}
	signing_keys[i] = NULL;
	*/
	
	/*
	 OBJ_HASH_MD2
	 OBJ_HASH_MD5 <---- BUG!
	 OBJ_HASH_SHA1
	 */
	p7s = CPKI2003_P7s_get_signed(conf, p12, cert, key
				      , info->data, info->length, OBJ_HASH_SHA1);
	
	token = (TimeStampToken *)MALLOC(sizeof(TimeStampToken));
	token->data = CPKI2003_P7_signed_toDER(conf, p7s, NULL, &len, signing_certificates);
	token->length = len;
	
	return token;
}

TimeStampToken *readFromFile_TimeStampToken(char *filename){
	TimeStampToken *token;
	token = (TimeStampToken *)MALLOC(sizeof(TimeStampToken));
	readFile(filename, token);
	return token;
}
