/*
$Id: r_asn1.h,v 1.1 2004/04/21 12:52:30 urushima Exp $
*/

#ifndef R_ASN1_H_ROBOC__
#define R_ASN1_H_ROBOC__

#include "util.h"
#include "ok_asn1.h"

#define OID_TIMESTAMPTOKEN  ((ObjectID *)"1.2.840.113549.1.9.16.1.4")
#define OID_ID_AA_SIGNINGCERTIFICATE ((ObjectID *)"1.2.840.113549.1.9.16.2.12")


typedef CORE Integer;
typedef CORE OctetString;
typedef char ObjectID;
typedef char GeneralizedTime;


typedef struct{
	enum {utf8 = 0, printable} type;
	char *c;
	char *st;
	char *l;
	char *o;
	char *ou;
	char *cn;
	char *email;
} DirectoryName;

typedef struct{
	int maxbit;
	int *bits;
	int count;
} BitString;

#define setOctetString(oct, buf, len)\
 ASN1_set_octetstring((oct)->length, (oct)->data, (buf), (len))

void setDepth(int len,unsigned char *der,int *ret_len);
void setInteger(Integer *data, unsigned char* der, int *ret_len);
void setObjectID(ObjectID *data, unsigned char* der, int *ret_len);
void setGeneralizedTime(GeneralizedTime *data, unsigned char* der, int *ret_len);
void setDirectoryName(DirectoryName *dn, unsigned char *der, int *ret_len);
void setURI(char *uri, unsigned char *der, int *ret_len);
void setBitString(BitString *bs, unsigned char *der, int *ret_len);

#endif /* R_ASN1_H_ROBOC__ */

