/*
 $Id: util.c,v 1.1 2004/04/21 12:52:30 urushima Exp $
 */
#include <stdio.h>
#include <strings.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>

#include "util.h"
#include "r_asn1.h"

char *readFile(char *fname, CORE *result){
	FILE *fp;
	struct stat st;
	static char msg[256];

	if(lstat(fname, &st) != 0){
		sprintf(msg, "file stat falid(%s)", fname);
		return msg;
	}
	fp = fopen(fname, "r");
	if(fp == NULL){
		sprintf(msg, "file open falid(%s)", fname);
		return msg;
	}
	result->length = st.st_size;
	result->data = (unsigned char*)MALLOC(st.st_size);
	fread(result->data, st.st_size, 1, fp);
	fclose(fp);
	return NULL;
}	

int readLine(FILE *fp, char **buf){
    static char buffer[LINE_LENGTH+1];
    int n, i;
    *buf = buffer;
    i = 0; n = 0;
    while((n = fgetc(fp)) >= 0){
        if(n == '\n'){
            break;
        }
        buffer[i++] = (char)n;
        if(i == LINE_LENGTH){
            buffer[LINE_LENGTH] = '\0';
            return false;
        }
    }
    buffer[i] = '\0';
    if(n < 0 && i == 0){
        *buf = null;
    }
    return true;
}
int hex2int(char c){
    switch(c){
        case '0': return 0;
        case '1': return 1;
        case '2': return 2;
        case '3': return 3;
        case '4': return 4;
        case '5': return 5;
        case '6': return 6;
        case '7': return 7;
        case '8': return 8;
        case '9': return 9;
        case 'A':
        case 'a': return 0xA;
        case 'B':
        case 'b': return 0xB;
        case 'C':
        case 'c': return 0xC;
        case 'D':
        case 'd': return 0xD;
        case 'E':
        case 'e': return 0xE;
        case 'F':
        case 'f': return 0xF;
        default:
            die("not digit");
    }
}
